package alicebob2;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class AliceConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public AliceConfiguration() {
	}

	//Create configuration as a copy
	public AliceConfiguration(AliceConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new AliceConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof AliceConfiguration) {
			AliceConfiguration other = (AliceConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

