package ccs_hand_crafted_standalone_system;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class ControlPannelConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public ControlPannelConfiguration() {
	}

	//Create configuration as a copy
	public ControlPannelConfiguration(ControlPannelConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new ControlPannelConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof ControlPannelConfiguration) {
			ControlPannelConfiguration other = (ControlPannelConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

