package ccs_hand_crafted_standalone_system;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class HealthMonitoringConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public HealthMonitoringConfiguration() {
	}

	//Create configuration as a copy
	public HealthMonitoringConfiguration(HealthMonitoringConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new HealthMonitoringConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof HealthMonitoringConfiguration) {
			HealthMonitoringConfiguration other = (HealthMonitoringConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

