package ccs_hand_crafted_standalone_system;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class UserConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public UserConfiguration() {
	}

	//Create configuration as a copy
	public UserConfiguration(UserConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new UserConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof UserConfiguration) {
			UserConfiguration other = (UserConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

