package bridge_none_in;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class LampConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public LampConfiguration() {
	}

	//Create configuration as a copy
	public LampConfiguration(LampConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new LampConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof LampConfiguration) {
			LampConfiguration other = (LampConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

