package bridge_wait;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class Man4Configuration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public Man4Configuration() {
	}

	//Create configuration as a copy
	public Man4Configuration(Man4Configuration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new Man4Configuration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof Man4Configuration) {
			Man4Configuration other = (Man4Configuration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

