package fischer;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class MainConfiguration extends BehaviorConfiguration {

	public int lock;

	//Create initial configuration
	public MainConfiguration() {
		this.lock = 0;
	}

	//Create configuration as a copy
	public MainConfiguration(MainConfiguration other) {
		this.lock = other.lock;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new MainConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof MainConfiguration) {
			MainConfiguration other = (MainConfiguration) object;
			if (lock != other.lock) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + lock;
		return total;
	}

}

