package p0waiting;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class OutPConfiguration extends BehaviorConfiguration {

	public short state;

	public int v0;

	//Create initial configuration
	public OutPConfiguration() {
		this.v0 = 0;
	}

	//Create configuration as a copy
	public OutPConfiguration(OutPConfiguration other) {
		this.state = other.state;
		this.v0 = other.v0;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new OutPConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof OutPConfiguration) {
			OutPConfiguration other = (OutPConfiguration) object;
			if (state != other.state) return false;
			if (v0 != other.v0) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + v0;
		return total;
	}

}

