package p0waiting_p1run;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class AllowBloConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public AllowBloConfiguration() {
	}

	//Create configuration as a copy
	public AllowBloConfiguration(AllowBloConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new AllowBloConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof AllowBloConfiguration) {
			AllowBloConfiguration other = (AllowBloConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

