package syncorder;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class InPConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public InPConfiguration() {
	}

	//Create configuration as a copy
	public InPConfiguration(InPConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new InPConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof InPConfiguration) {
			InPConfiguration other = (InPConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

