package synchroselect;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class ReceiverConfiguration extends BehaviorConfiguration {

	public short state;

	public int v0;

	public int v1;

	//Create initial configuration
	public ReceiverConfiguration() {
		this.v0 = 0;
		this.v1 = 0;
	}

	//Create configuration as a copy
	public ReceiverConfiguration(ReceiverConfiguration other) {
		this.state = other.state;
		this.v0 = other.v0;
		this.v1 = other.v1;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new ReceiverConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof ReceiverConfiguration) {
			ReceiverConfiguration other = (ReceiverConfiguration) object;
			if (state != other.state) return false;
			if (v0 != other.v0) return false;
			if (v1 != other.v1) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + v0;
		total = total * 37 + v1;
		return total;
	}

}

