package synchroselect2;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class Receiver1Configuration extends BehaviorConfiguration {

	public short state;

	public int v0;

	public int v1;

	public int v2;

	//Create initial configuration
	public Receiver1Configuration() {
		this.v0 = 0;
		this.v1 = 0;
		this.v2 = 0;
	}

	//Create configuration as a copy
	public Receiver1Configuration(Receiver1Configuration other) {
		this.state = other.state;
		this.v0 = other.v0;
		this.v1 = other.v1;
		this.v2 = other.v2;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new Receiver1Configuration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof Receiver1Configuration) {
			Receiver1Configuration other = (Receiver1Configuration) object;
			if (state != other.state) return false;
			if (v0 != other.v0) return false;
			if (v1 != other.v1) return false;
			if (v2 != other.v2) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + v0;
		total = total * 37 + v1;
		total = total * 37 + v2;
		return total;
	}

}

