package t1_notime;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class P0Configuration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public P0Configuration() {
	}

	//Create configuration as a copy
	public P0Configuration(P0Configuration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new P0Configuration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof P0Configuration) {
			P0Configuration other = (P0Configuration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

