package lgs_pilotinternal;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class AnalogSwitchConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public AnalogSwitchConfiguration() {
	}

	//Create configuration as a copy
	public AnalogSwitchConfiguration(AnalogSwitchConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new AnalogSwitchConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof AnalogSwitchConfiguration) {
			AnalogSwitchConfiguration other = (AnalogSwitchConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

