package lgs_pilotinternal;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class DoorConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public DoorConfiguration() {
	}

	//Create configuration as a copy
	public DoorConfiguration(DoorConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new DoorConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof DoorConfiguration) {
			DoorConfiguration other = (DoorConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

