package lgs_pilotinternal;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class Gear_sensor_synthesisConfiguration extends BehaviorConfiguration {

	public short state;

	public boolean param_gear_locked_extended;

	public boolean param_gear_locked_retracted;

	public int gearPosition;

	//Create initial configuration
	public Gear_sensor_synthesisConfiguration() {
		this.param_gear_locked_extended = false;
		this.param_gear_locked_retracted = false;
		this.gearPosition = 0;
	}

	//Create configuration as a copy
	public Gear_sensor_synthesisConfiguration(Gear_sensor_synthesisConfiguration other) {
		this.state = other.state;
		this.param_gear_locked_extended = other.param_gear_locked_extended;
		this.param_gear_locked_retracted = other.param_gear_locked_retracted;
		this.gearPosition = other.gearPosition;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new Gear_sensor_synthesisConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof Gear_sensor_synthesisConfiguration) {
			Gear_sensor_synthesisConfiguration other = (Gear_sensor_synthesisConfiguration) object;
			if (state != other.state) return false;
			if (param_gear_locked_extended != other.param_gear_locked_extended) return false;
			if (param_gear_locked_retracted != other.param_gear_locked_retracted) return false;
			if (gearPosition != other.gearPosition) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + (param_gear_locked_extended? 1 : 0);
		total = total * 37 + (param_gear_locked_retracted? 1 : 0);
		total = total * 37 + gearPosition;
		return total;
	}

}

