package lgs_pilotinternal;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class General_EVConfiguration extends BehaviorConfiguration {

	public short state;

	public boolean param_from_analog_switch;

	public boolean param_cmdEV;

	//Create initial configuration
	public General_EVConfiguration() {
		this.param_from_analog_switch = false;
		this.param_cmdEV = false;
	}

	//Create configuration as a copy
	public General_EVConfiguration(General_EVConfiguration other) {
		this.state = other.state;
		this.param_from_analog_switch = other.param_from_analog_switch;
		this.param_cmdEV = other.param_cmdEV;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new General_EVConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof General_EVConfiguration) {
			General_EVConfiguration other = (General_EVConfiguration) object;
			if (state != other.state) return false;
			if (param_from_analog_switch != other.param_from_analog_switch) return false;
			if (param_cmdEV != other.param_cmdEV) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + (param_from_analog_switch? 1 : 0);
		total = total * 37 + (param_cmdEV? 1 : 0);
		return total;
	}

}

