package test_2procs_1sync;

import obp.explorer.runtime.core.Channel;
import obp.explorer.runtime.core.BroadcastChannel;
import obp.explorer.runtime.SymbolsTable;
import obp.explorer.runtime.Composition;
import obp.explorer.runtime.Component;

@SuppressWarnings("all")
public class SUSComposition extends Composition {

	private static short idSeed = 1;

	private final Component[] components;

	private final Channel[] channels;

	public SUSComposition(SymbolsTable symbols) {
		final String name = symbols.newComponentName("SUS", idSeed++);
		BroadcastChannel synch = new BroadcastChannel(name+":synch", symbols, 1, 1, 0, false, 1, false);
		channels = new Channel[] { synch,  };
		
		components = new Component[] {
				new ABehavior(symbols, synch),
				new BBehavior(symbols, synch)
			};
		
	}

	@Override
	public Component[] getComponents() {
		return components;
	}

	@Override
	public Channel[] getChannels() {
		return channels;
	}

}

