package onelighttempo;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class LightConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public LightConfiguration() {
	}

	//Create configuration as a copy
	public LightConfiguration(LightConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new LightConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof LightConfiguration) {
			LightConfiguration other = (LightConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

