package wait_1proc_11_22;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class ProcConfiguration extends BehaviorConfiguration {

	public short state;

	public int myVar;

	//Create initial configuration
	public ProcConfiguration() {
		this.myVar = 0;
	}

	//Create configuration as a copy
	public ProcConfiguration(ProcConfiguration other) {
		this.state = other.state;
		this.myVar = other.myVar;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new ProcConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof ProcConfiguration) {
			ProcConfiguration other = (ProcConfiguration) object;
			if (state != other.state) return false;
			if (myVar != other.myVar) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + myVar;
		return total;
	}

}

