package wait_2proc_11_22;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class Proc1Configuration extends BehaviorConfiguration {

	public short state;

	public int myVar;

	//Create initial configuration
	public Proc1Configuration() {
		this.myVar = 0;
	}

	//Create configuration as a copy
	public Proc1Configuration(Proc1Configuration other) {
		this.state = other.state;
		this.myVar = other.myVar;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new Proc1Configuration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof Proc1Configuration) {
			Proc1Configuration other = (Proc1Configuration) object;
			if (state != other.state) return false;
			if (myVar != other.myVar) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + myVar;
		return total;
	}

}

