package clocks_36_limit_at_23;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class AnalogSwitchConfiguration extends BehaviorConfiguration {

	public short state;

	public int param_from_dispatch;

	//Create initial configuration
	public AnalogSwitchConfiguration() {
		this.param_from_dispatch = 0;
	}

	//Create configuration as a copy
	public AnalogSwitchConfiguration(AnalogSwitchConfiguration other) {
		this.state = other.state;
		this.param_from_dispatch = other.param_from_dispatch;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new AnalogSwitchConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof AnalogSwitchConfiguration) {
			AnalogSwitchConfiguration other = (AnalogSwitchConfiguration) object;
			if (state != other.state) return false;
			if (param_from_dispatch != other.param_from_dispatch) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + param_from_dispatch;
		return total;
	}

}

