package clocks_36_limit_at_23;

import org.xid.basics.serializer.Boost;
import obp.explorer.runtime.obs.InformalAction;
import obp.explorer.runtime.obs.AtomicAction;
import obp.explorer.runtime.fiacre.FiacreQueueUtil;
import obp.explorer.runtime.core.Transition;
import obp.explorer.runtime.core.Channel;
import obp.explorer.runtime.core.BroadcastChannel;
import obp.explorer.runtime.SymbolsTable;
import obp.explorer.runtime.ReferencedArgumentBoolean;
import obp.explorer.runtime.ReferencedArgument;
import obp.explorer.runtime.ProcessBehavior;
import obp.explorer.runtime.ExplorationContext;
import obp.explorer.runtime.Configuration;
import obp.explorer.runtime.BehaviorConfiguration;
import obp.explorer.runtime.AbstractCallable;
import java.util.List;
import java.util.ArrayList;

@SuppressWarnings("all")
public class DispatcherBehavior extends ProcessBehavior {

	private static short idSeed = 1;

	public static final short WaitCmdEnv = 1;

	public static final short ToAlnalog = 2;

	public static final short ToGeneralEV = 3;

	public static final short ToRetractEV = 4;

	public static final short ToExtendEV = 5;

	public static final short ToCloseEV = 6;

	public static final short ToOpenEV = 7;

	public static final short ToFrontGear = 8;

	public static final short ToFrontDoor = 9;

	public static final short ToLeftGear = 10;

	public static final short ToLeftDoor = 11;

	public static final short ToRightGear = 12;

	public static final short ToRightDoor = 13;

	private final short informal133;

	private final short informal134;

	private final short informal135;

	private final short informal136;

	private final short informal137;

	private final short informal138;

	private final short informal139;

	private final short informal140;

	private final short informal141;

	private final short informal142;

	private final short informal143;

	private final short informal144;

	private final short informal145;

	private final short informal146;

	private final short informal147;

	private final short informal148;

	private final short informal149;

	private final short informal150;

	private final short informal151;

	private final short informal152;

	private final short informal153;

	private final BroadcastChannel to_analogswitch;

	private final BroadcastChannel to_general_EV;

	private final BroadcastChannel to_retract_EV;

	private final BroadcastChannel to_extend_EV;

	private final BroadcastChannel to_close_EV;

	private final BroadcastChannel to_open_EV;

	private final BroadcastChannel to_front_gear;

	private final BroadcastChannel to_front_door;

	private final BroadcastChannel to_left_gear;

	private final BroadcastChannel to_left_door;

	private final BroadcastChannel to_right_gear;

	private final BroadcastChannel to_right_door;

	private final ReferencedArgument<int[]> fromEnvRef;

	private final ReferencedArgumentBoolean handleUpRef;

	public DispatcherBehavior(SymbolsTable symbols, BroadcastChannel to_analogswitch, BroadcastChannel to_general_EV, BroadcastChannel to_retract_EV, BroadcastChannel to_extend_EV, BroadcastChannel to_close_EV, BroadcastChannel to_open_EV, BroadcastChannel to_front_gear, BroadcastChannel to_front_door, BroadcastChannel to_left_gear, BroadcastChannel to_left_door, BroadcastChannel to_right_gear, BroadcastChannel to_right_door, ReferencedArgument<int[]> fromEnv, ReferencedArgumentBoolean handleUp) {
		super("Dispatcher", idSeed++, symbols);
		this.to_analogswitch = to_analogswitch;
		this.to_general_EV = to_general_EV;
		this.to_retract_EV = to_retract_EV;
		this.to_extend_EV = to_extend_EV;
		this.to_close_EV = to_close_EV;
		this.to_open_EV = to_open_EV;
		this.to_front_gear = to_front_gear;
		this.to_front_door = to_front_door;
		this.to_left_gear = to_left_gear;
		this.to_left_door = to_left_door;
		this.to_right_gear = to_right_gear;
		this.to_right_door = to_right_door;
		outputChannels = new Channel[]{this.to_analogswitch, this.to_general_EV, this.to_retract_EV, this.to_extend_EV, this.to_close_EV, this.to_open_EV, this.to_front_gear, this.to_front_door, this.to_left_gear, this.to_left_door, this.to_right_gear, this.to_right_door};
		this.fromEnvRef = fromEnv;
		this.handleUpRef = handleUp;
		informal133 = symbols.getInformalId("HANDLE recu");
		informal134 = symbols.getInformalId("handleUp true");
		informal135 = symbols.getInformalId("handleUp false");
		informal136 = symbols.getInformalId("ANALOG_SWITCH_OPEN_ERR recu");
		informal137 = symbols.getInformalId("ANALOG_SWITCH_CLOSE_ERR recu");
		informal138 = symbols.getInformalId("GENERAL_EV_OPEN_ERR recu");
		informal139 = symbols.getInformalId("GENERAL_EV_CLOSED_ERR recu");
		informal140 = symbols.getInformalId("RETRACT_EV_OPEN_ERR recu");
		informal141 = symbols.getInformalId("RETRACT_EV_CLOSED_ERR recu");
		informal142 = symbols.getInformalId("EXTEND_EV_OPEN_ERR recu");
		informal143 = symbols.getInformalId("EXTEND_EV_CLOSED_ERR recu");
		informal144 = symbols.getInformalId("CLOSE_EV_OPEN_ERR recu");
		informal145 = symbols.getInformalId("CLOSE_EV_CLOSED_ERR recu");
		informal146 = symbols.getInformalId("OPEN_EV_OPEN_ERR recu");
		informal147 = symbols.getInformalId("OPEN_EV_CLOSED_ERR recu");
		informal148 = symbols.getInformalId("FRONT_GEAR_FAILURE recu");
		informal149 = symbols.getInformalId("FRONT_DOOR_FAILURE recu");
		informal150 = symbols.getInformalId("LEFT_GEAR_FAILURE recu");
		informal151 = symbols.getInformalId("LEFT_DOOR_FAILURE recu");
		informal152 = symbols.getInformalId("RIGHT_GEAR_FAILURE recu");
		informal153 = symbols.getInformalId("RIGHT_DOOR_FAILURE recu");
	}

	private final String[] stateNames = new String[] {"waitCmdEnv", "ToAlnalog", "ToGeneralEV", "ToRetractEV", "ToExtendEV", "ToCloseEV", "ToOpenEV", "ToFrontGear", "ToFrontDoor", "ToLeftGear", "ToLeftDoor", "ToRightGear", "ToRightDoor"};

	public int getStateId(String name) {
		for (short i=0; i<stateNames.length; i++) {
			if ( stateNames[i].equals(name) ) return (i+1);
		}
		throw new IllegalArgumentException("State '"+ name +"' doesn't exist in process '"+ this.name +"'.");
	}

	public String getStateName(short id) {
		return stateNames[id-1];
	}

	private final Transition transition0 = 	new Transition(id) {
		@Override
		public void updateModifiedBehaviors(Configuration configuration, ExplorationContext context, boolean[] modifiedBehaviors) {
			DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			boolean handleUp = handleUpRef.get(configuration);
			int[] fromEnv = fromEnvRef.get(configuration);
			modifiedBehaviors[handleUpRef.ownerId] = true;
			modifiedBehaviors[fromEnvRef.ownerId] = true;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != WaitCmdEnv) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			boolean handleUp = handleUpRef.get(configuration);
			int[] fromEnv = fromEnvRef.get(configuration);
			try {
				if ( (fromEnv.length == 0)) {
					me.state = WaitCmdEnv;
					if (true) return true;
				} else {
					me.received =  FiacreQueueUtil.first(fromEnv);
					fromEnv =  FiacreQueueUtil.dequeue(id, fromEnv, actions);
					if ((me.received) == Clocks_36_limit_at_23Root.HANDLE) {
						if (handleUp == false) {
							actions.add(new InformalAction(id, informal133));
							actions.add(new InformalAction(id, informal134));
							handleUp = true;
						} else {
							actions.add(new InformalAction(id, informal135));
							handleUp = false;
						}
						me.sent = Clocks_36_limit_at_23Root.HANDLE;
						me.state = ToAlnalog;
						if (true) return true;
					} else if ((me.received) == Clocks_36_limit_at_23Root.ANALOG_SWITCH_BLOCK_OPEN_FAILURE) {
						actions.add(new InformalAction(id, informal136));
						me.sent = Clocks_36_limit_at_23Root.ANALOG_SWITCH_BLOCK_OPEN_FAILURE;
						me.state = ToAlnalog;
						if (true) return true;
					} else if ((me.received) == Clocks_36_limit_at_23Root.ANALOG_SWITCH_BLOCK_CLOSED_FAILURE) {
						actions.add(new InformalAction(id, informal137));
						me.sent = Clocks_36_limit_at_23Root.ANALOG_SWITCH_BLOCK_CLOSED_FAILURE;
						me.state = ToAlnalog;
						if (true) return true;
					} else if ((me.received) == Clocks_36_limit_at_23Root.GENERAL_EV_BLOCK_OPEN_FAILURE) {
						actions.add(new InformalAction(id, informal138));
						me.sent = Clocks_36_limit_at_23Root.EV_BLOCK_OPEN_FAILURE;
						me.state = ToGeneralEV;
						if (true) return true;
					} else if ((me.received) == Clocks_36_limit_at_23Root.GENERAL_EV_BLOCK_CLOSED_FAILURE) {
						actions.add(new InformalAction(id, informal139));
						me.sent = Clocks_36_limit_at_23Root.EV_BLOCK_CLOSED_FAILURE;
						me.state = ToGeneralEV;
						if (true) return true;
					} else if ((me.received) == Clocks_36_limit_at_23Root.RETRACT_EV_BLOCK_OPEN_FAILURE) {
						actions.add(new InformalAction(id, informal140));
						me.sent = Clocks_36_limit_at_23Root.EV_BLOCK_OPEN_FAILURE;
						me.state = ToRetractEV;
						if (true) return true;
					} else if ((me.received) == Clocks_36_limit_at_23Root.RETRACT_EV_BLOCK_CLOSED_FAILURE) {
						actions.add(new InformalAction(id, informal141));
						me.sent = Clocks_36_limit_at_23Root.EV_BLOCK_CLOSED_FAILURE;
						me.state = ToRetractEV;
						if (true) return true;
					} else if ((me.received) == Clocks_36_limit_at_23Root.EXTEND_EV_BLOCK_OPEN_FAILURE) {
						actions.add(new InformalAction(id, informal142));
						me.sent = Clocks_36_limit_at_23Root.EV_BLOCK_OPEN_FAILURE;
						me.state = ToExtendEV;
						if (true) return true;
					} else if ((me.received) == Clocks_36_limit_at_23Root.EXTEND_EV_BLOCK_CLOSED_FAILURE) {
						actions.add(new InformalAction(id, informal143));
						me.sent = Clocks_36_limit_at_23Root.EV_BLOCK_CLOSED_FAILURE;
						me.state = ToExtendEV;
						if (true) return true;
					} else if ((me.received) == Clocks_36_limit_at_23Root.CLOSE_EV_BLOCK_OPEN_FAILURE) {
						actions.add(new InformalAction(id, informal144));
						me.sent = Clocks_36_limit_at_23Root.EV_BLOCK_OPEN_FAILURE;
						me.state = ToCloseEV;
						if (true) return true;
					} else if ((me.received) == Clocks_36_limit_at_23Root.CLOSE_EV_BLOCK_CLOSED_FAILURE) {
						actions.add(new InformalAction(id, informal145));
						me.sent = Clocks_36_limit_at_23Root.EV_BLOCK_CLOSED_FAILURE;
						me.state = ToCloseEV;
						if (true) return true;
					} else if ((me.received) == Clocks_36_limit_at_23Root.OPEN_EV_BLOCK_OPEN_FAILURE) {
						actions.add(new InformalAction(id, informal146));
						me.sent = Clocks_36_limit_at_23Root.EV_BLOCK_OPEN_FAILURE;
						me.state = ToOpenEV;
						if (true) return true;
					} else if ((me.received) == Clocks_36_limit_at_23Root.OPEN_EV_BLOCK_CLOSED_FAILURE) {
						actions.add(new InformalAction(id, informal147));
						me.sent = Clocks_36_limit_at_23Root.EV_BLOCK_CLOSED_FAILURE;
						me.state = ToOpenEV;
						if (true) return true;
					} else if ((me.received) == Clocks_36_limit_at_23Root.FRONT_GEAR_FAILURE) {
						actions.add(new InformalAction(id, informal148));
						me.sent = Clocks_36_limit_at_23Root.FRONT_GEAR_FAILURE;
						me.state = ToFrontGear;
						if (true) return true;
					} else if ((me.received) == Clocks_36_limit_at_23Root.FRONT_DOOR_FAILURE) {
						actions.add(new InformalAction(id, informal149));
						me.sent = Clocks_36_limit_at_23Root.FRONT_DOOR_FAILURE;
						me.state = ToFrontDoor;
						if (true) return true;
					} else if ((me.received) == Clocks_36_limit_at_23Root.LEFT_GEAR_FAILURE) {
						actions.add(new InformalAction(id, informal150));
						me.sent = Clocks_36_limit_at_23Root.LEFT_GEAR_FAILURE;
						me.state = ToLeftGear;
						if (true) return true;
					} else if ((me.received) == Clocks_36_limit_at_23Root.LEFT_DOOR_FAILURE) {
						actions.add(new InformalAction(id, informal151));
						me.sent = Clocks_36_limit_at_23Root.LEFT_DOOR_FAILURE;
						me.state = ToLeftDoor;
						if (true) return true;
					} else if ((me.received) == Clocks_36_limit_at_23Root.RIGHT_GEAR_FAILURE) {
						actions.add(new InformalAction(id, informal152));
						me.sent = Clocks_36_limit_at_23Root.RIGHT_GEAR_FAILURE;
						me.state = ToRightGear;
						if (true) return true;
					} else if ((me.received) == Clocks_36_limit_at_23Root.RIGHT_DOOR_FAILURE) {
						actions.add(new InformalAction(id, informal153));
						me.sent = Clocks_36_limit_at_23Root.RIGHT_DOOR_FAILURE;
						me.state = ToRightDoor;
						if (true) return true;
					} else {
						if (true) { return false; }
					}
					me.state = WaitCmdEnv;
					if (true) return true;
				}
			} finally {
				handleUpRef.set(configuration, handleUp);
				fromEnvRef.set(configuration, fromEnv);
			}
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition1 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_analogswitch.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != ToAlnalog) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			to_analogswitch.output(id, actions, me.sent);
			me.state = WaitCmdEnv;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition2 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_general_EV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != ToGeneralEV) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			to_general_EV.output(id, actions, me.sent);
			me.state = WaitCmdEnv;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition3 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_retract_EV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != ToRetractEV) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			to_retract_EV.output(id, actions, me.sent);
			me.state = WaitCmdEnv;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition4 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_extend_EV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != ToExtendEV) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			to_extend_EV.output(id, actions, me.sent);
			me.state = WaitCmdEnv;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition5 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_close_EV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != ToCloseEV) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			to_close_EV.output(id, actions, me.sent);
			me.state = WaitCmdEnv;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition6 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_open_EV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != ToOpenEV) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			to_open_EV.output(id, actions, me.sent);
			me.state = WaitCmdEnv;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition7 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_front_gear.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != ToFrontGear) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			to_front_gear.output(id, actions, me.sent);
			me.state = WaitCmdEnv;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition8 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_front_door.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != ToFrontDoor) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			to_front_door.output(id, actions, me.sent);
			me.state = WaitCmdEnv;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition9 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_left_gear.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != ToLeftGear) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			to_left_gear.output(id, actions, me.sent);
			me.state = WaitCmdEnv;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition10 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_left_door.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != ToLeftDoor) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			to_left_door.output(id, actions, me.sent);
			me.state = WaitCmdEnv;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition11 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_right_gear.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != ToRightGear) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			to_right_gear.output(id, actions, me.sent);
			me.state = WaitCmdEnv;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition12 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_right_door.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != ToRightDoor) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final DispatcherConfiguration me = (DispatcherConfiguration) configuration.behaviorConfigurations[id];
			to_right_door.output(id, actions, me.sent);
			me.state = WaitCmdEnv;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition[] transitions = 	new Transition[] {
		transition0,
		transition1,
		transition2,
		transition3,
		transition4,
		transition5,
		transition6,
		transition7,
		transition8,
		transition9,
		transition10,
		transition11,
		transition12,
	}
;

	@Override
	public Transition[] getTransitions(Configuration configuration) {
		return transitions;
	}

	@Override
	public BehaviorConfiguration createInitialConfiguration(Configuration conf) {
		DispatcherConfiguration me = new DispatcherConfiguration();
		//Initial action code.
		me.state = WaitCmdEnv;
		return me;
	}

	public String toStringConfiguration(BehaviorConfiguration behaviorConfiguration) {
		DispatcherConfiguration me = (DispatcherConfiguration) behaviorConfiguration;
		StringBuilder text = new StringBuilder();
		text.append("proc: ");
		text.append("'");
		text.append(name);
		text.append("' [");
		switch (me.state) {
		case DispatcherBehavior.WaitCmdEnv: 
			text.append("@waitCmdEnv,");
			break;
		case DispatcherBehavior.ToAlnalog: 
			text.append("@ToAlnalog,");
			break;
		case DispatcherBehavior.ToGeneralEV: 
			text.append("@ToGeneralEV,");
			break;
		case DispatcherBehavior.ToRetractEV: 
			text.append("@ToRetractEV,");
			break;
		case DispatcherBehavior.ToExtendEV: 
			text.append("@ToExtendEV,");
			break;
		case DispatcherBehavior.ToCloseEV: 
			text.append("@ToCloseEV,");
			break;
		case DispatcherBehavior.ToOpenEV: 
			text.append("@ToOpenEV,");
			break;
		case DispatcherBehavior.ToFrontGear: 
			text.append("@ToFrontGear,");
			break;
		case DispatcherBehavior.ToFrontDoor: 
			text.append("@ToFrontDoor,");
			break;
		case DispatcherBehavior.ToLeftGear: 
			text.append("@ToLeftGear,");
			break;
		case DispatcherBehavior.ToLeftDoor: 
			text.append("@ToLeftDoor,");
			break;
		case DispatcherBehavior.ToRightGear: 
			text.append("@ToRightGear,");
			break;
		case DispatcherBehavior.ToRightDoor: 
			text.append("@ToRightDoor,");
			break;
		}
		text.append("\n\t- sent=");
		text.append(Integer.toString(me.sent));
		text.append("\n\t- received=");
		text.append(Integer.toString(me.received));
		text.append("\n]");
		return text.toString();
	}

	public String toDotStringConfiguration(BehaviorConfiguration behaviorConfiguration) {
		DispatcherConfiguration me = (DispatcherConfiguration) behaviorConfiguration;
		StringBuilder text = new StringBuilder();
		text.append("'");
		text.append(name);
		text.append("' [");
		switch (me.state) {
		case DispatcherBehavior.WaitCmdEnv: 
			text.append("@waitCmdEnv,");
			break;
		case DispatcherBehavior.ToAlnalog: 
			text.append("@ToAlnalog,");
			break;
		case DispatcherBehavior.ToGeneralEV: 
			text.append("@ToGeneralEV,");
			break;
		case DispatcherBehavior.ToRetractEV: 
			text.append("@ToRetractEV,");
			break;
		case DispatcherBehavior.ToExtendEV: 
			text.append("@ToExtendEV,");
			break;
		case DispatcherBehavior.ToCloseEV: 
			text.append("@ToCloseEV,");
			break;
		case DispatcherBehavior.ToOpenEV: 
			text.append("@ToOpenEV,");
			break;
		case DispatcherBehavior.ToFrontGear: 
			text.append("@ToFrontGear,");
			break;
		case DispatcherBehavior.ToFrontDoor: 
			text.append("@ToFrontDoor,");
			break;
		case DispatcherBehavior.ToLeftGear: 
			text.append("@ToLeftGear,");
			break;
		case DispatcherBehavior.ToLeftDoor: 
			text.append("@ToLeftDoor,");
			break;
		case DispatcherBehavior.ToRightGear: 
			text.append("@ToRightGear,");
			break;
		case DispatcherBehavior.ToRightDoor: 
			text.append("@ToRightDoor,");
			break;
		}
		text.append(" sent=");
		text.append(Integer.toString(me.sent));
		text.append(" received=");
		text.append(Integer.toString(me.received));
		text.append("]");
		return text.toString();
	}

	@Override
	public BehaviorConfiguration readConfiguration(Boost boost) {
		DispatcherConfiguration me = new DispatcherConfiguration();
		me.state = boost.readShort();
		me.sent = boost.readInt();
		me.received = boost.readInt();
		return me;
	}

	@Override
	public void writeConfiguration(Boost boost, BehaviorConfiguration processConfiguration) {
		DispatcherConfiguration me = (DispatcherConfiguration) processConfiguration;
		boost.writeShort(me.state);
		boost.writeInt(me.sent);
		boost.writeInt(me.received);
	}

}

