package test17;

import org.xid.basics.serializer.BoostObject;
import org.xid.basics.serializer.Boost;

public abstract class T_msg implements BoostObject {

	public static class M1 extends T_msg {

		public M1() {
		}

		public M1(M1 other) {
		}

		public M1(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == M1.class;
		}

		@Override
		public int hashCode() {
			int total = 482667;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{m1");
			text.append("}");
			return text.toString();
		}

	}

	public static class M2 extends T_msg {

		public M2() {
		}

		public M2(M2 other) {
		}

		public M2(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == M2.class;
		}

		@Override
		public int hashCode() {
			int total = 804672;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{m2");
			text.append("}");
			return text.toString();
		}

	}

	public static T_msg copy(T_msg other) {
		if (other == null) {
			return null;
		}
		else if ( other.getClass() == M1.class ) {
			return new M1((M1) other);
		}
		else if ( other.getClass() == M2.class ) {
			return new M2((M2) other);
		}
		throw new IllegalArgumentException("Unknown constructor for 'T_msg'.");
	}

}

