package test_minmax;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class P1Configuration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public P1Configuration() {
	}

	//Create configuration as a copy
	public P1Configuration(P1Configuration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new P1Configuration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof P1Configuration) {
			P1Configuration other = (P1Configuration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

