package test_loop_and_wait;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class BlockConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public BlockConfiguration() {
	}

	//Create configuration as a copy
	public BlockConfiguration(BlockConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new BlockConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof BlockConfiguration) {
			BlockConfiguration other = (BlockConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

