package test_loop_and_wait_with_ports;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class InnerClockConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public InnerClockConfiguration() {
	}

	//Create configuration as a copy
	public InnerClockConfiguration(InnerClockConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new InnerClockConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof InnerClockConfiguration) {
			InnerClockConfiguration other = (InnerClockConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

