package alicebob3;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class BobConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public BobConfiguration() {
	}

	//Create configuration as a copy
	public BobConfiguration(BobConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new BobConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof BobConfiguration) {
			BobConfiguration other = (BobConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

