package alicebobmeetpeterson;

import obp.explorer.runtime.core.Channel;
import obp.explorer.runtime.SymbolsTable;
import obp.explorer.runtime.Composition;
import obp.explorer.runtime.Component;

@SuppressWarnings("all")
public class SysComposition extends Composition {

	private final Component[] components;

	private final Channel[] channels;

	public SysComposition(SymbolsTable symbols) {
		SysBehavior me = new SysBehavior(symbols);
		//Initializes variables
		me.createInitialConfiguration(null);
		
		channels = new Channel[] {  };
		
		components = new Component[] {
				me,
				new AliceBehavior(symbols, me.getFlagsRef(), me.getTurnRef()),
				new BobBehavior(symbols, me.getFlagsRef(), me.getTurnRef())
			};
		
	}

	@Override
	public Component[] getComponents() {
		return components;
	}

	@Override
	public Channel[] getChannels() {
		return channels;
	}

}

