package ccs_hand_crafted_standalone_system;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class ActuationConfiguration extends BehaviorConfiguration {

	public short state;

	public int setPointSpeed;

	//Create initial configuration
	public ActuationConfiguration() {
		this.setPointSpeed = 0;
	}

	//Create configuration as a copy
	public ActuationConfiguration(ActuationConfiguration other) {
		this.state = other.state;
		this.setPointSpeed = other.setPointSpeed;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new ActuationConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof ActuationConfiguration) {
			ActuationConfiguration other = (ActuationConfiguration) object;
			if (state != other.state) return false;
			if (setPointSpeed != other.setPointSpeed) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + setPointSpeed;
		return total;
	}

}

