package ccs_hand_crafted_standalone_system;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class CarConfiguration extends BehaviorConfiguration {

	public short state;

	public int currentSpeed;

	//Create initial configuration
	public CarConfiguration() {
		this.currentSpeed = 0;
	}

	//Create configuration as a copy
	public CarConfiguration(CarConfiguration other) {
		this.state = other.state;
		this.currentSpeed = other.currentSpeed;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new CarConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof CarConfiguration) {
			CarConfiguration other = (CarConfiguration) object;
			if (state != other.state) return false;
			if (currentSpeed != other.currentSpeed) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + currentSpeed;
		return total;
	}

}

