package ccs_hand_crafted_standalone_system;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class SystemCenterConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public SystemCenterConfiguration() {
	}

	//Create configuration as a copy
	public SystemCenterConfiguration(SystemCenterConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new SystemCenterConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof SystemCenterConfiguration) {
			SystemCenterConfiguration other = (SystemCenterConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

