package ccs_hand_crafted_standalone_system;

import org.xid.basics.serializer.BoostObject;
import org.xid.basics.serializer.Boost;

public abstract class T_event_Actuation implements BoostObject {

	public static class EvtRequestEngagement extends T_event_Actuation {

		public EvtRequestEngagement() {
		}

		public EvtRequestEngagement(EvtRequestEngagement other) {
		}

		public EvtRequestEngagement(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtRequestEngagement.class;
		}

		@Override
		public int hashCode() {
			int total = 554216;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtRequestEngagement");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtDisengageActuation extends T_event_Actuation {

		public EvtDisengageActuation() {
		}

		public EvtDisengageActuation(EvtDisengageActuation other) {
		}

		public EvtDisengageActuation(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtDisengageActuation.class;
		}

		@Override
		public int hashCode() {
			int total = 736396;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtDisengageActuation");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtResetActuation extends T_event_Actuation {

		public EvtResetActuation() {
		}

		public EvtResetActuation(EvtResetActuation other) {
		}

		public EvtResetActuation(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtResetActuation.class;
		}

		@Override
		public int hashCode() {
			int total = 182516;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtResetActuation");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtPause extends T_event_Actuation {

		public EvtPause() {
		}

		public EvtPause(EvtPause other) {
		}

		public EvtPause(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtPause.class;
		}

		@Override
		public int hashCode() {
			int total = 870932;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtPause");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtPauseEnd extends T_event_Actuation {

		public EvtPauseEnd() {
		}

		public EvtPauseEnd(EvtPauseEnd other) {
		}

		public EvtPauseEnd(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtPauseEnd.class;
		}

		@Override
		public int hashCode() {
			int total = 705826;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtPauseEnd");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtSetA extends T_event_Actuation {

		public EvtSetA() {
		}

		public EvtSetA(EvtSetA other) {
		}

		public EvtSetA(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtSetA.class;
		}

		@Override
		public int hashCode() {
			int total = 389088;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtSetA");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtIncA extends T_event_Actuation {

		public EvtIncA() {
		}

		public EvtIncA(EvtIncA other) {
		}

		public EvtIncA(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtIncA.class;
		}

		@Override
		public int hashCode() {
			int total = 17083;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtIncA");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtDecA extends T_event_Actuation {

		public EvtDecA() {
		}

		public EvtDecA(EvtDecA other) {
		}

		public EvtDecA(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtDecA.class;
		}

		@Override
		public int hashCode() {
			int total = 885013;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtDecA");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtSpeedA extends T_event_Actuation {

		public int value;

		public EvtSpeedA() {
			this.value = 0;
		}

		public EvtSpeedA(int value) {
			this.value = value;
		}

		public EvtSpeedA(EvtSpeedA other) {
			this.value = other.value;
		}

		public EvtSpeedA(Boost boost) {
			boost.register(this);
			this.value = boost.readInt();
		}

		public void writeToBoost(Boost boost) {
			boost.writeInt(value);
		}

		@Override
		public boolean equals(Object object) {
			if (object instanceof EvtSpeedA) {
				EvtSpeedA other = (EvtSpeedA) object;
				if (value != other.value) return false;
				return true;
			}
			return false;
		}

		@Override
		public int hashCode() {
			int total = 162268;
			total = total * 37 + value;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtSpeedA");
			text.append("@");
			text.append(Integer.toString(value));
			text.append("}");
			return text.toString();
		}

	}

	public static T_event_Actuation copy(T_event_Actuation other) {
		if (other == null) {
			return null;
		}
		else if ( other.getClass() == EvtRequestEngagement.class ) {
			return new EvtRequestEngagement((EvtRequestEngagement) other);
		}
		else if ( other.getClass() == EvtDisengageActuation.class ) {
			return new EvtDisengageActuation((EvtDisengageActuation) other);
		}
		else if ( other.getClass() == EvtResetActuation.class ) {
			return new EvtResetActuation((EvtResetActuation) other);
		}
		else if ( other.getClass() == EvtPause.class ) {
			return new EvtPause((EvtPause) other);
		}
		else if ( other.getClass() == EvtPauseEnd.class ) {
			return new EvtPauseEnd((EvtPauseEnd) other);
		}
		else if ( other.getClass() == EvtSetA.class ) {
			return new EvtSetA((EvtSetA) other);
		}
		else if ( other.getClass() == EvtIncA.class ) {
			return new EvtIncA((EvtIncA) other);
		}
		else if ( other.getClass() == EvtDecA.class ) {
			return new EvtDecA((EvtDecA) other);
		}
		else if ( other.getClass() == EvtSpeedA.class ) {
			return new EvtSpeedA((EvtSpeedA) other);
		}
		throw new IllegalArgumentException("Unknown constructor for 'T_event_Actuation'.");
	}

}

