package ccs_hand_crafted_standalone_system;

import org.xid.basics.serializer.BoostObject;
import org.xid.basics.serializer.Boost;

public abstract class T_event_ControlPannel implements BoostObject {

	public static class EvtBtnStart extends T_event_ControlPannel {

		public EvtBtnStart() {
		}

		public EvtBtnStart(EvtBtnStart other) {
		}

		public EvtBtnStart(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtBtnStart.class;
		}

		@Override
		public int hashCode() {
			int total = 417674;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtBtnStart");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtBtnStop extends T_event_ControlPannel {

		public EvtBtnStop() {
		}

		public EvtBtnStop(EvtBtnStop other) {
		}

		public EvtBtnStop(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtBtnStop.class;
		}

		@Override
		public int hashCode() {
			int total = 232068;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtBtnStop");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtBtnResume extends T_event_ControlPannel {

		public EvtBtnResume() {
		}

		public EvtBtnResume(EvtBtnResume other) {
		}

		public EvtBtnResume(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtBtnResume.class;
		}

		@Override
		public int hashCode() {
			int total = 606362;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtBtnResume");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtBtnSet extends T_event_ControlPannel {

		public EvtBtnSet() {
		}

		public EvtBtnSet(EvtBtnSet other) {
		}

		public EvtBtnSet(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtBtnSet.class;
		}

		@Override
		public int hashCode() {
			int total = 657639;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtBtnSet");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtBtnInc extends T_event_ControlPannel {

		public EvtBtnInc() {
		}

		public EvtBtnInc(EvtBtnInc other) {
		}

		public EvtBtnInc(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtBtnInc.class;
		}

		@Override
		public int hashCode() {
			int total = 438243;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtBtnInc");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtBtnDec extends T_event_ControlPannel {

		public EvtBtnDec() {
		}

		public EvtBtnDec(EvtBtnDec other) {
		}

		public EvtBtnDec(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtBtnDec.class;
		}

		@Override
		public int hashCode() {
			int total = 448994;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtBtnDec");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtBtnDisengage extends T_event_ControlPannel {

		public EvtBtnDisengage() {
		}

		public EvtBtnDisengage(EvtBtnDisengage other) {
		}

		public EvtBtnDisengage(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtBtnDisengage.class;
		}

		@Override
		public int hashCode() {
			int total = 979695;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtBtnDisengage");
			text.append("}");
			return text.toString();
		}

	}

	public static T_event_ControlPannel copy(T_event_ControlPannel other) {
		if (other == null) {
			return null;
		}
		else if ( other.getClass() == EvtBtnStart.class ) {
			return new EvtBtnStart((EvtBtnStart) other);
		}
		else if ( other.getClass() == EvtBtnStop.class ) {
			return new EvtBtnStop((EvtBtnStop) other);
		}
		else if ( other.getClass() == EvtBtnResume.class ) {
			return new EvtBtnResume((EvtBtnResume) other);
		}
		else if ( other.getClass() == EvtBtnSet.class ) {
			return new EvtBtnSet((EvtBtnSet) other);
		}
		else if ( other.getClass() == EvtBtnInc.class ) {
			return new EvtBtnInc((EvtBtnInc) other);
		}
		else if ( other.getClass() == EvtBtnDec.class ) {
			return new EvtBtnDec((EvtBtnDec) other);
		}
		else if ( other.getClass() == EvtBtnDisengage.class ) {
			return new EvtBtnDisengage((EvtBtnDisengage) other);
		}
		throw new IllegalArgumentException("Unknown constructor for 'T_event_ControlPannel'.");
	}

}

