package ccs_hand_crafted_standalone_system;

import org.xid.basics.serializer.BoostObject;
import org.xid.basics.serializer.Boost;

public abstract class T_event_HealthMonitoring implements BoostObject {

	public static class EvtEngageHM extends T_event_HealthMonitoring {

		public EvtEngageHM() {
		}

		public EvtEngageHM(EvtEngageHM other) {
		}

		public EvtEngageHM(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtEngageHM.class;
		}

		@Override
		public int hashCode() {
			int total = 796973;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtEngageHM");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtDisengageHM extends T_event_HealthMonitoring {

		public EvtDisengageHM() {
		}

		public EvtDisengageHM(EvtDisengageHM other) {
		}

		public EvtDisengageHM(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtDisengageHM.class;
		}

		@Override
		public int hashCode() {
			int total = 761825;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtDisengageHM");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtBrakePressed extends T_event_HealthMonitoring {

		public EvtBrakePressed() {
		}

		public EvtBrakePressed(EvtBrakePressed other) {
		}

		public EvtBrakePressed(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtBrakePressed.class;
		}

		@Override
		public int hashCode() {
			int total = 985783;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtBrakePressed");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtClutchDepressed extends T_event_HealthMonitoring {

		public EvtClutchDepressed() {
		}

		public EvtClutchDepressed(EvtClutchDepressed other) {
		}

		public EvtClutchDepressed(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtClutchDepressed.class;
		}

		@Override
		public int hashCode() {
			int total = 101189;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtClutchDepressed");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtAccelPressed extends T_event_HealthMonitoring {

		public EvtAccelPressed() {
		}

		public EvtAccelPressed(EvtAccelPressed other) {
		}

		public EvtAccelPressed(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtAccelPressed.class;
		}

		@Override
		public int hashCode() {
			int total = 539375;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtAccelPressed");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtAccelReleased extends T_event_HealthMonitoring {

		public EvtAccelReleased() {
		}

		public EvtAccelReleased(EvtAccelReleased other) {
		}

		public EvtAccelReleased(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtAccelReleased.class;
		}

		@Override
		public int hashCode() {
			int total = 18307;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtAccelReleased");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtSpeed extends T_event_HealthMonitoring {

		public int value;

		public EvtSpeed() {
			this.value = 0;
		}

		public EvtSpeed(int value) {
			this.value = value;
		}

		public EvtSpeed(EvtSpeed other) {
			this.value = other.value;
		}

		public EvtSpeed(Boost boost) {
			boost.register(this);
			this.value = boost.readInt();
		}

		public void writeToBoost(Boost boost) {
			boost.writeInt(value);
		}

		@Override
		public boolean equals(Object object) {
			if (object instanceof EvtSpeed) {
				EvtSpeed other = (EvtSpeed) object;
				if (value != other.value) return false;
				return true;
			}
			return false;
		}

		@Override
		public int hashCode() {
			int total = 224547;
			total = total * 37 + value;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtSpeed");
			text.append("@");
			text.append(Integer.toString(value));
			text.append("}");
			return text.toString();
		}

	}

	public static T_event_HealthMonitoring copy(T_event_HealthMonitoring other) {
		if (other == null) {
			return null;
		}
		else if ( other.getClass() == EvtEngageHM.class ) {
			return new EvtEngageHM((EvtEngageHM) other);
		}
		else if ( other.getClass() == EvtDisengageHM.class ) {
			return new EvtDisengageHM((EvtDisengageHM) other);
		}
		else if ( other.getClass() == EvtBrakePressed.class ) {
			return new EvtBrakePressed((EvtBrakePressed) other);
		}
		else if ( other.getClass() == EvtClutchDepressed.class ) {
			return new EvtClutchDepressed((EvtClutchDepressed) other);
		}
		else if ( other.getClass() == EvtAccelPressed.class ) {
			return new EvtAccelPressed((EvtAccelPressed) other);
		}
		else if ( other.getClass() == EvtAccelReleased.class ) {
			return new EvtAccelReleased((EvtAccelReleased) other);
		}
		else if ( other.getClass() == EvtSpeed.class ) {
			return new EvtSpeed((EvtSpeed) other);
		}
		throw new IllegalArgumentException("Unknown constructor for 'T_event_HealthMonitoring'.");
	}

}

