package ccs_hand_crafted_standalone_system;

import org.xid.basics.serializer.BoostObject;
import org.xid.basics.serializer.Boost;

public abstract class T_event_SystemCenter implements BoostObject {

	public static class EvtPowerOn extends T_event_SystemCenter {

		public EvtPowerOn() {
		}

		public EvtPowerOn(EvtPowerOn other) {
		}

		public EvtPowerOn(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtPowerOn.class;
		}

		@Override
		public int hashCode() {
			int total = 826188;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtPowerOn");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtPowerOff extends T_event_SystemCenter {

		public EvtPowerOff() {
		}

		public EvtPowerOff(EvtPowerOff other) {
		}

		public EvtPowerOff(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtPowerOff.class;
		}

		@Override
		public int hashCode() {
			int total = 860395;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtPowerOff");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtResume extends T_event_SystemCenter {

		public EvtResume() {
		}

		public EvtResume(EvtResume other) {
		}

		public EvtResume(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtResume.class;
		}

		@Override
		public int hashCode() {
			int total = 175633;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtResume");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtAck extends T_event_SystemCenter {

		public EvtAck() {
		}

		public EvtAck(EvtAck other) {
		}

		public EvtAck(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtAck.class;
		}

		@Override
		public int hashCode() {
			int total = 961266;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtAck");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtNAck extends T_event_SystemCenter {

		public EvtNAck() {
		}

		public EvtNAck(EvtNAck other) {
		}

		public EvtNAck(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtNAck.class;
		}

		@Override
		public int hashCode() {
			int total = 528654;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtNAck");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtDisengage extends T_event_SystemCenter {

		public EvtDisengage() {
		}

		public EvtDisengage(EvtDisengage other) {
		}

		public EvtDisengage(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtDisengage.class;
		}

		@Override
		public int hashCode() {
			int total = 816801;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtDisengage");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtSet extends T_event_SystemCenter {

		public EvtSet() {
		}

		public EvtSet(EvtSet other) {
		}

		public EvtSet(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtSet.class;
		}

		@Override
		public int hashCode() {
			int total = 222131;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtSet");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtInc extends T_event_SystemCenter {

		public EvtInc() {
		}

		public EvtInc(EvtInc other) {
		}

		public EvtInc(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtInc.class;
		}

		@Override
		public int hashCode() {
			int total = 475819;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtInc");
			text.append("}");
			return text.toString();
		}

	}

	public static class EvtDec extends T_event_SystemCenter {

		public EvtDec() {
		}

		public EvtDec(EvtDec other) {
		}

		public EvtDec(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == EvtDec.class;
		}

		@Override
		public int hashCode() {
			int total = 117473;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{evtDec");
			text.append("}");
			return text.toString();
		}

	}

	public static T_event_SystemCenter copy(T_event_SystemCenter other) {
		if (other == null) {
			return null;
		}
		else if ( other.getClass() == EvtPowerOn.class ) {
			return new EvtPowerOn((EvtPowerOn) other);
		}
		else if ( other.getClass() == EvtPowerOff.class ) {
			return new EvtPowerOff((EvtPowerOff) other);
		}
		else if ( other.getClass() == EvtResume.class ) {
			return new EvtResume((EvtResume) other);
		}
		else if ( other.getClass() == EvtAck.class ) {
			return new EvtAck((EvtAck) other);
		}
		else if ( other.getClass() == EvtNAck.class ) {
			return new EvtNAck((EvtNAck) other);
		}
		else if ( other.getClass() == EvtDisengage.class ) {
			return new EvtDisengage((EvtDisengage) other);
		}
		else if ( other.getClass() == EvtSet.class ) {
			return new EvtSet((EvtSet) other);
		}
		else if ( other.getClass() == EvtInc.class ) {
			return new EvtInc((EvtInc) other);
		}
		else if ( other.getClass() == EvtDec.class ) {
			return new EvtDec((EvtDec) other);
		}
		throw new IllegalArgumentException("Unknown constructor for 'T_event_SystemCenter'.");
	}

}

