package bridge_none_in;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class ManConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public ManConfiguration() {
	}

	//Create configuration as a copy
	public ManConfiguration(ManConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new ManConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof ManConfiguration) {
			ManConfiguration other = (ManConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

