package bridge_wait;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class BridgeConfiguration extends BehaviorConfiguration {

	public int left;

	public int right;

	//Create initial configuration
	public BridgeConfiguration() {
		this.left = 2;
		this.right = 0;
	}

	//Create configuration as a copy
	public BridgeConfiguration(BridgeConfiguration other) {
		this.left = other.left;
		this.right = other.right;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new BridgeConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof BridgeConfiguration) {
			BridgeConfiguration other = (BridgeConfiguration) object;
			if (left != other.left) return false;
			if (right != other.right) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + left;
		total = total * 37 + right;
		return total;
	}

}

