package parallelcounters12_2;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class CounterConfiguration extends BehaviorConfiguration {

	public short state;

	public int counter;

	//Create initial configuration
	public CounterConfiguration() {
		this.counter = 0;
	}

	//Create configuration as a copy
	public CounterConfiguration(CounterConfiguration other) {
		this.state = other.state;
		this.counter = other.counter;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new CounterConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof CounterConfiguration) {
			CounterConfiguration other = (CounterConfiguration) object;
			if (state != other.state) return false;
			if (counter != other.counter) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + counter;
		return total;
	}

}

