package syncorder;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class SysConfiguration extends BehaviorConfiguration {

	public int shard;

	//Create initial configuration
	public SysConfiguration() {
		this.shard = 0;
	}

	//Create configuration as a copy
	public SysConfiguration(SysConfiguration other) {
		this.shard = other.shard;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new SysConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof SysConfiguration) {
			SysConfiguration other = (SysConfiguration) object;
			if (shard != other.shard) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + shard;
		return total;
	}

}

