package synchroselect1;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class SenderConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public SenderConfiguration() {
	}

	//Create configuration as a copy
	public SenderConfiguration(SenderConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new SenderConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof SenderConfiguration) {
			SenderConfiguration other = (SenderConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

