package t1_notime;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class P1Configuration extends BehaviorConfiguration {

	public short state;

	public boolean param_handle;

	//Create initial configuration
	public P1Configuration() {
		this.param_handle = false;
	}

	//Create configuration as a copy
	public P1Configuration(P1Configuration other) {
		this.state = other.state;
		this.param_handle = other.param_handle;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new P1Configuration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof P1Configuration) {
			P1Configuration other = (P1Configuration) object;
			if (state != other.state) return false;
			if (param_handle != other.param_handle) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + (param_handle? 1 : 0);
		return total;
	}

}

