package test11_time;

import org.xid.basics.serializer.BoostObject;
import org.xid.basics.serializer.Boost;

public abstract class T_msg implements BoostObject {

	public static class A extends T_msg {

		public A() {
		}

		public A(A other) {
		}

		public A(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == A.class;
		}

		@Override
		public int hashCode() {
			int total = 936374;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{a");
			text.append("}");
			return text.toString();
		}

	}

	public static class B extends T_msg {

		public B() {
		}

		public B(B other) {
		}

		public B(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == B.class;
		}

		@Override
		public int hashCode() {
			int total = 188298;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{b");
			text.append("}");
			return text.toString();
		}

	}

	public static T_msg copy(T_msg other) {
		if (other == null) {
			return null;
		}
		else if ( other.getClass() == A.class ) {
			return new A((A) other);
		}
		else if ( other.getClass() == B.class ) {
			return new B((B) other);
		}
		throw new IllegalArgumentException("Unknown constructor for 'T_msg'.");
	}

}

