package test11_time;

import obp.explorer.runtime.core.Channel;
import obp.explorer.runtime.SymbolsTable;
import obp.explorer.runtime.Composition;
import obp.explorer.runtime.Component;

@SuppressWarnings("all")
public class Test11Composition extends Composition {

	private final Component[] components;

	private final Channel[] channels;

	public Test11Composition(SymbolsTable symbols) {
		Test11Behavior me = new Test11Behavior(symbols);
		//Initializes variables
		me.createInitialConfiguration(null);
		
		channels = new Channel[] {  };
		
		components = new Component[] {
				me,
				new Proc1Behavior(symbols, me.getInputP1Ref(), me.getInputP2Ref()),
				new Proc2Behavior(symbols, me.getInputP1Ref(), me.getInputP2Ref())
			};
		
	}

	@Override
	public Component[] getComponents() {
		return components;
	}

	@Override
	public Channel[] getChannels() {
		return channels;
	}

}

