package test11_time;

import obp.explorer.runtime.BehaviorConfiguration;
import java.util.Arrays;

@SuppressWarnings("all")
public class Test11Configuration extends BehaviorConfiguration {

	public T_msg[] inputP1;

	public T_msg[] inputP2;

	//Create initial configuration
	public Test11Configuration() {
		this.inputP1 = new T_msg[]{};
		this.inputP2 = new T_msg[]{};
	}

	//Create configuration as a copy
	public Test11Configuration(Test11Configuration other) {
		this.inputP1 = new T_msg[other.inputP1.length];
		for (int i=0; i<other.inputP1.length; i++) {
			this.inputP1[i] = T_msg.copy(other.inputP1[i]);
		}
		this.inputP2 = new T_msg[other.inputP2.length];
		for (int i=0; i<other.inputP2.length; i++) {
			this.inputP2[i] = T_msg.copy(other.inputP2[i]);
		}
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new Test11Configuration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof Test11Configuration) {
			Test11Configuration other = (Test11Configuration) object;
			if (!Arrays.deepEquals(inputP1, other.inputP1)) return false;
			if (!Arrays.deepEquals(inputP2, other.inputP2)) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + Arrays.deepHashCode(inputP1);
		total = total * 37 + Arrays.deepHashCode(inputP2);
		return total;
	}

}

