package lgs_pilotinternal;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class Door_sensor_synthesisConfiguration extends BehaviorConfiguration {

	public short state;

	public boolean param_door_open;

	public boolean param_door_locked_closed;

	public int doorPosition;

	//Create initial configuration
	public Door_sensor_synthesisConfiguration() {
		this.param_door_open = false;
		this.param_door_locked_closed = false;
		this.doorPosition = 0;
	}

	//Create configuration as a copy
	public Door_sensor_synthesisConfiguration(Door_sensor_synthesisConfiguration other) {
		this.state = other.state;
		this.param_door_open = other.param_door_open;
		this.param_door_locked_closed = other.param_door_locked_closed;
		this.doorPosition = other.doorPosition;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new Door_sensor_synthesisConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof Door_sensor_synthesisConfiguration) {
			Door_sensor_synthesisConfiguration other = (Door_sensor_synthesisConfiguration) object;
			if (state != other.state) return false;
			if (param_door_open != other.param_door_open) return false;
			if (param_door_locked_closed != other.param_door_locked_closed) return false;
			if (doorPosition != other.doorPosition) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + (param_door_open? 1 : 0);
		total = total * 37 + (param_door_locked_closed? 1 : 0);
		total = total * 37 + doorPosition;
		return total;
	}

}

