package lgs_pilotinternal;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class GearConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public GearConfiguration() {
	}

	//Create configuration as a copy
	public GearConfiguration(GearConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new GearConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof GearConfiguration) {
			GearConfiguration other = (GearConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

