package lgs_pilotinternal;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class Generic_EVConfiguration extends BehaviorConfiguration {

	public short state;

	public boolean param_cmdEV;

	public boolean param_generalEV;

	//Create initial configuration
	public Generic_EVConfiguration() {
		this.param_cmdEV = false;
		this.param_generalEV = false;
	}

	//Create configuration as a copy
	public Generic_EVConfiguration(Generic_EVConfiguration other) {
		this.state = other.state;
		this.param_cmdEV = other.param_cmdEV;
		this.param_generalEV = other.param_generalEV;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new Generic_EVConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof Generic_EVConfiguration) {
			Generic_EVConfiguration other = (Generic_EVConfiguration) object;
			if (state != other.state) return false;
			if (param_cmdEV != other.param_cmdEV) return false;
			if (param_generalEV != other.param_generalEV) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + (param_cmdEV? 1 : 0);
		total = total * 37 + (param_generalEV? 1 : 0);
		return total;
	}

}

