package lgs_pilotinternal;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class PilotConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public PilotConfiguration() {
	}

	//Create configuration as a copy
	public PilotConfiguration(PilotConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new PilotConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof PilotConfiguration) {
			PilotConfiguration other = (PilotConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

