package test_1proc_1state;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class AConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public AConfiguration() {
	}

	//Create configuration as a copy
	public AConfiguration(AConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new AConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof AConfiguration) {
			AConfiguration other = (AConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

