package test_2procs_1sync;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class BConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public BConfiguration() {
	}

	//Create configuration as a copy
	public BConfiguration(BConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new BConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof BConfiguration) {
			BConfiguration other = (BConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

