package onelighttempo;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class InterrupteurConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public InterrupteurConfiguration() {
	}

	//Create configuration as a copy
	public InterrupteurConfiguration(InterrupteurConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new InterrupteurConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof InterrupteurConfiguration) {
			InterrupteurConfiguration other = (InterrupteurConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

