package clocks_36_limit_at_23;

import org.xid.basics.serializer.Boost;
import obp.explorer.runtime.obs.AtomicAction;
import obp.explorer.runtime.core.Transition;
import obp.explorer.runtime.core.Channel;
import obp.explorer.runtime.core.BroadcastChannel;
import obp.explorer.runtime.SymbolsTable;
import obp.explorer.runtime.ProcessBehavior;
import obp.explorer.runtime.ExplorationContext;
import obp.explorer.runtime.DBM;
import obp.explorer.runtime.Configuration;
import obp.explorer.runtime.BehaviorConfiguration;
import obp.explorer.runtime.AbstractCallable;
import java.util.List;
import java.util.ArrayList;

@SuppressWarnings("all")
public class Bouchon_Rint_1Behavior extends ProcessBehavior {

	private static short idSeed = 1;

	public static final short A = 1;

	private final BroadcastChannel a;

	public Bouchon_Rint_1Behavior(SymbolsTable symbols, BroadcastChannel a) {
		super("bouchon_Rint_1", idSeed++, symbols);
		this.a = a;
		inputChannels = new Channel[]{this.a};
	}

	private final String[] stateNames = new String[] {"A"};

	public int getStateId(String name) {
		for (short i=0; i<stateNames.length; i++) {
			if ( stateNames[i].equals(name) ) return (i+1);
		}
		throw new IllegalArgumentException("State '"+ name +"' doesn't exist in process '"+ this.name +"'.");
	}

	public String getStateName(short id) {
		return stateNames[id-1];
	}

	private final Transition transition0 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return a.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Bouchon_Rint_1Configuration me = (Bouchon_Rint_1Configuration) configuration.behaviorConfigurations[id];
			if (me.state != A) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Bouchon_Rint_1Configuration me = (Bouchon_Rint_1Configuration) configuration.behaviorConfigurations[id];
			a.input(id, actions);
			me.x = a.value(int.class,0);
			if ( a.clockId != -1 ) {
				DBM.set(configuration.dbm, a.clockId, 0);
			}
			me.state = A;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition[] transitions = 	new Transition[] {
		transition0,
	}
;

	@Override
	public Transition[] getTransitions(Configuration configuration) {
		return transitions;
	}

	@Override
	public BehaviorConfiguration createInitialConfiguration(Configuration conf) {
		Bouchon_Rint_1Configuration me = new Bouchon_Rint_1Configuration();
		//Initial action code.
		me.state = A;
		return me;
	}

	public String toStringConfiguration(BehaviorConfiguration behaviorConfiguration) {
		Bouchon_Rint_1Configuration me = (Bouchon_Rint_1Configuration) behaviorConfiguration;
		StringBuilder text = new StringBuilder();
		text.append("proc: ");
		text.append("'");
		text.append(name);
		text.append("' [");
		switch (me.state) {
		case Bouchon_Rint_1Behavior.A: 
			text.append("@A,");
			break;
		}
		text.append("\n\t- x=");
		text.append(Integer.toString(me.x));
		text.append("\n]");
		return text.toString();
	}

	public String toDotStringConfiguration(BehaviorConfiguration behaviorConfiguration) {
		Bouchon_Rint_1Configuration me = (Bouchon_Rint_1Configuration) behaviorConfiguration;
		StringBuilder text = new StringBuilder();
		text.append("'");
		text.append(name);
		text.append("' [");
		switch (me.state) {
		case Bouchon_Rint_1Behavior.A: 
			text.append("@A,");
			break;
		}
		text.append(" x=");
		text.append(Integer.toString(me.x));
		text.append("]");
		return text.toString();
	}

	@Override
	public BehaviorConfiguration readConfiguration(Boost boost) {
		Bouchon_Rint_1Configuration me = new Bouchon_Rint_1Configuration();
		me.state = boost.readShort();
		me.x = boost.readInt();
		return me;
	}

	@Override
	public void writeConfiguration(Boost boost, BehaviorConfiguration processConfiguration) {
		Bouchon_Rint_1Configuration me = (Bouchon_Rint_1Configuration) processConfiguration;
		boost.writeShort(me.state);
		boost.writeInt(me.x);
	}

}

