package clocks_36_limit_at_23;

import org.xid.basics.serializer.Boost;
import obp.explorer.runtime.obs.InformalAction;
import obp.explorer.runtime.obs.DelayAction;
import obp.explorer.runtime.obs.AtomicAction;
import obp.explorer.runtime.fiacre.WaitChannel;
import obp.explorer.runtime.core.Transition;
import obp.explorer.runtime.core.Channel;
import obp.explorer.runtime.core.BroadcastChannel;
import obp.explorer.runtime.SymbolsTable;
import obp.explorer.runtime.ReferencedArgumentInt;
import obp.explorer.runtime.ProcessBehavior;
import obp.explorer.runtime.ExplorationContext;
import obp.explorer.runtime.DBM;
import obp.explorer.runtime.Configuration;
import obp.explorer.runtime.BehaviorConfiguration;
import obp.explorer.runtime.AbstractCallable;
import java.util.List;
import java.util.Arrays;
import java.util.ArrayList;

@SuppressWarnings("all")
public class General_EVBehavior extends ProcessBehavior {

	private static short idSeed = 1;

	public static final short Open = 1;

	public static final short EmitOpen1 = 2;

	public static final short EmitOpen2 = 3;

	public static final short EmitOpen3 = 4;

	public static final short EmitOpen4 = 5;

	public static final short Closed = 6;

	public static final short EmitClosed1 = 7;

	public static final short EmitClosed2 = 8;

	public static final short EmitClosed3 = 9;

	public static final short EmitClosed4 = 10;

	public static final short FromOpenToClosed = 11;

	public static final short FromClosedToOpen = 12;

	public static final short BlockedOpen = 13;

	public static final short EmitBlockedOpen1 = 14;

	public static final short EmitBlockedOpen2 = 15;

	public static final short EmitBlockedOpen3 = 16;

	public static final short EmitBlockedOpen4 = 17;

	public static final short EmitBlockedOpen5 = 18;

	public static final short BlockedClosed = 19;

	public static final short EmitBlockedClosed1 = 20;

	public static final short EmitBlockedClosed2 = 21;

	public static final short EmitBlockedClosed3 = 22;

	public static final short EmitBlockedClosed4 = 23;

	private final short informal18;

	private final short informal19;

	private final short informal20;

	private final short informal21;

	private final short informal22;

	private final short informal23;

	private final short informal24;

	private final short informal25;

	private final short informal26;

	private final short informal27;

	private final short informal28;

	private final BroadcastChannel from_cmdEV;

	private final BroadcastChannel from_analog_switch;

	private final BroadcastChannel from_dispatch;

	private final BroadcastChannel to_retractEV;

	private final BroadcastChannel to_extendEV;

	private final BroadcastChannel to_closeEV;

	private final BroadcastChannel to_openEV;

	private final ReferencedArgumentInt hydraulicPressionInRef;

	private final ReferencedArgumentInt hydraulicPressionOutRef;

	private final WaitChannel wait0;

	private final WaitChannel wait1;

	private final Channel[] channels;

	public void collectChannels(List<Channel> result) {
		result.addAll(Arrays.asList(channels));
	}

	public General_EVBehavior(SymbolsTable symbols, BroadcastChannel from_cmdEV, BroadcastChannel from_analog_switch, BroadcastChannel from_dispatch, BroadcastChannel to_retractEV, BroadcastChannel to_extendEV, BroadcastChannel to_closeEV, BroadcastChannel to_openEV, ReferencedArgumentInt hydraulicPressionIn, ReferencedArgumentInt hydraulicPressionOut) {
		super("General_EV", idSeed++, symbols);
		this.from_cmdEV = from_cmdEV;
		this.from_analog_switch = from_analog_switch;
		this.from_dispatch = from_dispatch;
		this.to_retractEV = to_retractEV;
		this.to_extendEV = to_extendEV;
		this.to_closeEV = to_closeEV;
		this.to_openEV = to_openEV;
		inputChannels = new Channel[]{this.from_cmdEV, this.from_analog_switch, this.from_dispatch};
		outputChannels = new Channel[]{this.to_retractEV, this.to_extendEV, this.to_closeEV, this.to_openEV};
		this.hydraulicPressionInRef = hydraulicPressionIn;
		this.hydraulicPressionOutRef = hydraulicPressionOut;
		informal18 = symbols.getInformalId("General_EV_open->bl-open");
		informal19 = symbols.getInformalId("General_EV_open->bl-closed");
		informal20 = symbols.getInformalId("General_EV_open->interm-open");
		informal21 = symbols.getInformalId("General_EV_interm-open->bl-open");
		informal22 = symbols.getInformalId("General_EV_interm-open->bl-closed");
		informal23 = symbols.getInformalId("General_EV Closed->bl-open");
		informal24 = symbols.getInformalId("General_EV Closed->bl-closed");
		informal25 = symbols.getInformalId("General_EV Closed->interm-closed");
		informal26 = symbols.getInformalId("General_EV FromClosedToOpen->bl-open");
		informal27 = symbols.getInformalId("General_EV FromClosedToOpen->bl-closed");
		informal28 = symbols.getInformalId("General_EV FromClosedToOpen->Closed");
		symbols.registerClockIndexes(this.getId(), (short) 1);
		
		wait0 = new WaitChannel(null, symbols, this.getId(), (short) 0, 10, false, 10, false);
		wait1 = new WaitChannel(null, symbols, this.getId(), (short) 0, 36, false, 36, false);
		channels = new Channel[] { wait0, wait1,  };
	}

	private final String[] stateNames = new String[] {"Open", "emitOpen1", "emitOpen2", "emitOpen3", "emitOpen4", "Closed", "emitClosed1", "emitClosed2", "emitClosed3", "emitClosed4", "FromOpenToClosed", "FromClosedToOpen", "BlockedOpen", "emitBlockedOpen1", "emitBlockedOpen2", "emitBlockedOpen3", "emitBlockedOpen4", "emitBlockedOpen5", "BlockedClosed", "emitBlockedClosed1", "emitBlockedClosed2", "emitBlockedClosed3", "emitBlockedClosed4"};

	public int getStateId(String name) {
		for (short i=0; i<stateNames.length; i++) {
			if ( stateNames[i].equals(name) ) return (i+1);
		}
		throw new IllegalArgumentException("State '"+ name +"' doesn't exist in process '"+ this.name +"'.");
	}

	public String getStateName(short id) {
		return stateNames[id-1];
	}

	private final Transition transition0 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_retractEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitOpen1) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			to_retractEV.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_OFF);
			me.state = EmitOpen2;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition1 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_extendEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitOpen2) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			to_extendEV.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_OFF);
			me.state = EmitOpen3;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition2 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_closeEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitOpen3) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			to_closeEV.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_OFF);
			me.state = EmitOpen4;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition3 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_openEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitOpen4) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			to_openEV.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_OFF);
			me.state = Open;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition4 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_dispatch.id;
		}

		@Override
		public void updateModifiedBehaviors(Configuration configuration, ExplorationContext context, boolean[] modifiedBehaviors) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			int hydraulicPressionIn = hydraulicPressionInRef.get(configuration);
			int hydraulicPressionOut = hydraulicPressionOutRef.get(configuration);
			modifiedBehaviors[hydraulicPressionOutRef.ownerId] = true;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != Open) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			int hydraulicPressionIn = hydraulicPressionInRef.get(configuration);
			int hydraulicPressionOut = hydraulicPressionOutRef.get(configuration);
			try {
				from_dispatch.input(id, actions);
				me.param_from_dispatch = from_dispatch.value(int.class,0);
				if ( from_dispatch.clockId != -1 ) {
					DBM.set(configuration.dbm, from_dispatch.clockId, 0);
				}
				if ((me.param_from_dispatch) == Clocks_36_limit_at_23Root.EV_BLOCK_OPEN_FAILURE) {
					actions.add(new InformalAction(id, informal18));
					hydraulicPressionOut = 0;
					me.state = BlockedOpen;
					if (true) return true;
				} else if ((me.param_from_dispatch) == Clocks_36_limit_at_23Root.EV_BLOCK_CLOSED_FAILURE) {
					actions.add(new InformalAction(id, informal19));
					hydraulicPressionOut = hydraulicPressionIn;
					me.state = EmitBlockedClosed1;
					if (true) return true;
				} else {
					if (true) { return false; }
				}
				me.state = Open;
				if (true) return true;
			} finally {
				hydraulicPressionInRef.set(configuration, hydraulicPressionIn);
				hydraulicPressionOutRef.set(configuration, hydraulicPressionOut);
			}
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition5 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_cmdEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != Open) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			from_cmdEV.input(id, actions);
			me.param_cmdEV = from_cmdEV.value(int.class,0);
			if ( from_cmdEV.clockId != -1 ) {
				DBM.set(configuration.dbm, from_cmdEV.clockId, 0);
			}
			if ((me.param_cmdEV) == Clocks_36_limit_at_23Root.ON_EV) {
				if (me.param_from_analog_switch == Clocks_36_limit_at_23Root.ON_EV) {
					actions.add(new InformalAction(id, informal20));
					me.state = FromOpenToClosed;
					if (true) return true;
				} else {
					me.state = Open;
					if (true) return true;
				}
			} else if ((me.param_cmdEV) == Clocks_36_limit_at_23Root.OFF_EV) {
				me.state = Open;
				if (true) return true;
			} else {
				if (true) { return false; }
			}
			me.state = Open;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition6 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_analog_switch.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != Open) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			from_analog_switch.input(id, actions);
			me.param_from_analog_switch = from_analog_switch.value(int.class,0);
			if ( from_analog_switch.clockId != -1 ) {
				DBM.set(configuration.dbm, from_analog_switch.clockId, 0);
			}
			if ((me.param_from_analog_switch) == Clocks_36_limit_at_23Root.ON_EV) {
				if (me.param_cmdEV == Clocks_36_limit_at_23Root.ON_EV) {
					actions.add(new InformalAction(id, informal20));
					me.state = FromOpenToClosed;
					if (true) return true;
				} else {
					me.state = Open;
					if (true) return true;
				}
			} else if ((me.param_from_analog_switch) == Clocks_36_limit_at_23Root.OFF_EV) {
				me.state = Open;
				if (true) return true;
			} else {
				if (true) { return false; }
			}
			me.state = Open;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition7 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_dispatch.id;
		}

		@Override
		public void updateModifiedBehaviors(Configuration configuration, ExplorationContext context, boolean[] modifiedBehaviors) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			int hydraulicPressionIn = hydraulicPressionInRef.get(configuration);
			int hydraulicPressionOut = hydraulicPressionOutRef.get(configuration);
			modifiedBehaviors[hydraulicPressionOutRef.ownerId] = true;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != FromOpenToClosed) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			int hydraulicPressionIn = hydraulicPressionInRef.get(configuration);
			int hydraulicPressionOut = hydraulicPressionOutRef.get(configuration);
			try {
				from_dispatch.input(id, actions);
				me.param_from_dispatch = from_dispatch.value(int.class,0);
				if ( from_dispatch.clockId != -1 ) {
					DBM.set(configuration.dbm, from_dispatch.clockId, 0);
				}
				if ((me.param_from_dispatch) == Clocks_36_limit_at_23Root.EV_BLOCK_OPEN_FAILURE) {
					actions.add(new InformalAction(id, informal21));
					hydraulicPressionOut = 0;
					me.state = BlockedOpen;
					if (true) return true;
				} else if ((me.param_from_dispatch) == Clocks_36_limit_at_23Root.EV_BLOCK_CLOSED_FAILURE) {
					actions.add(new InformalAction(id, informal22));
					hydraulicPressionOut = hydraulicPressionIn;
					me.state = EmitBlockedClosed1;
					if (true) return true;
				} else {
					if (true) { return false; }
				}
				me.state = FromOpenToClosed;
				if (true) return true;
			} finally {
				hydraulicPressionInRef.set(configuration, hydraulicPressionIn);
				hydraulicPressionOutRef.set(configuration, hydraulicPressionOut);
			}
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition8 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_cmdEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != FromOpenToClosed) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			from_cmdEV.input(id, actions);
			me.param_cmdEV = from_cmdEV.value(int.class,0);
			if ( from_cmdEV.clockId != -1 ) {
				DBM.set(configuration.dbm, from_cmdEV.clockId, 0);
			}
			if ((me.param_cmdEV) == Clocks_36_limit_at_23Root.ON_EV) {
				me.state = FromOpenToClosed;
				if (true) return true;
			} else if ((me.param_cmdEV) == Clocks_36_limit_at_23Root.OFF_EV) {
				me.state = Open;
				if (true) return true;
			} else {
				if (true) { return false; }
			}
			me.state = FromOpenToClosed;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition9 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_analog_switch.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != FromOpenToClosed) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			from_analog_switch.input(id, actions);
			me.param_from_analog_switch = from_analog_switch.value(int.class,0);
			if ( from_analog_switch.clockId != -1 ) {
				DBM.set(configuration.dbm, from_analog_switch.clockId, 0);
			}
			if ((me.param_from_analog_switch) == Clocks_36_limit_at_23Root.ON_EV) {
				me.state = FromOpenToClosed;
				if (true) return true;
			} else if ((me.param_from_analog_switch) == Clocks_36_limit_at_23Root.OFF_EV) {
				me.state = Open;
				if (true) return true;
			} else {
				if (true) { return false; }
			}
			me.state = FromOpenToClosed;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition10 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return wait0.id;
		}

		@Override
		public void updateModifiedBehaviors(Configuration configuration, ExplorationContext context, boolean[] modifiedBehaviors) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			int hydraulicPressionIn = hydraulicPressionInRef.get(configuration);
			int hydraulicPressionOut = hydraulicPressionOutRef.get(configuration);
			modifiedBehaviors[hydraulicPressionOutRef.ownerId] = true;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != FromOpenToClosed) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			int hydraulicPressionIn = hydraulicPressionInRef.get(configuration);
			int hydraulicPressionOut = hydraulicPressionOutRef.get(configuration);
			try {
				DBM.set(configuration.dbm, wait0.clockId, 0);
				actions.add(new DelayAction(id));
				hydraulicPressionOut = hydraulicPressionIn;
				me.state = EmitClosed1;
				if (true) return true;
			} finally {
				hydraulicPressionInRef.set(configuration, hydraulicPressionIn);
				hydraulicPressionOutRef.set(configuration, hydraulicPressionOut);
			}
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition11 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_retractEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitClosed1) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			to_retractEV.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_ON);
			me.state = EmitClosed2;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition12 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_extendEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitClosed2) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			to_extendEV.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_ON);
			me.state = EmitClosed3;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition13 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_closeEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitClosed3) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			to_closeEV.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_ON);
			me.state = EmitClosed4;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition14 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_openEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitClosed4) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			to_openEV.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_ON);
			me.state = Closed;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition15 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_dispatch.id;
		}

		@Override
		public void updateModifiedBehaviors(Configuration configuration, ExplorationContext context, boolean[] modifiedBehaviors) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			int hydraulicPressionIn = hydraulicPressionInRef.get(configuration);
			int hydraulicPressionOut = hydraulicPressionOutRef.get(configuration);
			modifiedBehaviors[hydraulicPressionOutRef.ownerId] = true;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != Closed) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			int hydraulicPressionIn = hydraulicPressionInRef.get(configuration);
			int hydraulicPressionOut = hydraulicPressionOutRef.get(configuration);
			try {
				from_dispatch.input(id, actions);
				me.param_from_dispatch = from_dispatch.value(int.class,0);
				if ( from_dispatch.clockId != -1 ) {
					DBM.set(configuration.dbm, from_dispatch.clockId, 0);
				}
				if ((me.param_from_dispatch) == Clocks_36_limit_at_23Root.EV_BLOCK_OPEN_FAILURE) {
					actions.add(new InformalAction(id, informal23));
					hydraulicPressionOut = 0;
					me.state = EmitBlockedOpen1;
					if (true) return true;
				} else if ((me.param_from_dispatch) == Clocks_36_limit_at_23Root.EV_BLOCK_CLOSED_FAILURE) {
					actions.add(new InformalAction(id, informal24));
					hydraulicPressionOut = hydraulicPressionIn;
					me.state = BlockedClosed;
					if (true) return true;
				} else {
					if (true) { return false; }
				}
				me.state = Closed;
				if (true) return true;
			} finally {
				hydraulicPressionInRef.set(configuration, hydraulicPressionIn);
				hydraulicPressionOutRef.set(configuration, hydraulicPressionOut);
			}
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition16 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_cmdEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != Closed) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			from_cmdEV.input(id, actions);
			me.param_cmdEV = from_cmdEV.value(int.class,0);
			if ( from_cmdEV.clockId != -1 ) {
				DBM.set(configuration.dbm, from_cmdEV.clockId, 0);
			}
			if ((me.param_cmdEV) == Clocks_36_limit_at_23Root.ON_EV) {
				me.state = Closed;
				if (true) return true;
			} else if ((me.param_cmdEV) == Clocks_36_limit_at_23Root.OFF_EV) {
				actions.add(new InformalAction(id, informal25));
				me.state = FromClosedToOpen;
				if (true) return true;
			} else {
				if (true) { return false; }
			}
			me.state = Closed;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition17 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_analog_switch.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != Closed) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			from_analog_switch.input(id, actions);
			me.param_from_analog_switch = from_analog_switch.value(int.class,0);
			if ( from_analog_switch.clockId != -1 ) {
				DBM.set(configuration.dbm, from_analog_switch.clockId, 0);
			}
			if ((me.param_from_analog_switch) == Clocks_36_limit_at_23Root.ON_EV) {
				me.state = Closed;
				if (true) return true;
			} else if ((me.param_from_analog_switch) == Clocks_36_limit_at_23Root.OFF_EV) {
				actions.add(new InformalAction(id, informal25));
				me.state = FromClosedToOpen;
				if (true) return true;
			} else {
				if (true) { return false; }
			}
			me.state = Closed;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition18 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_dispatch.id;
		}

		@Override
		public void updateModifiedBehaviors(Configuration configuration, ExplorationContext context, boolean[] modifiedBehaviors) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			int hydraulicPressionIn = hydraulicPressionInRef.get(configuration);
			int hydraulicPressionOut = hydraulicPressionOutRef.get(configuration);
			modifiedBehaviors[hydraulicPressionOutRef.ownerId] = true;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != FromClosedToOpen) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			int hydraulicPressionIn = hydraulicPressionInRef.get(configuration);
			int hydraulicPressionOut = hydraulicPressionOutRef.get(configuration);
			try {
				from_dispatch.input(id, actions);
				me.param_from_dispatch = from_dispatch.value(int.class,0);
				if ( from_dispatch.clockId != -1 ) {
					DBM.set(configuration.dbm, from_dispatch.clockId, 0);
				}
				if ((me.param_from_dispatch) == Clocks_36_limit_at_23Root.EV_BLOCK_OPEN_FAILURE) {
					actions.add(new InformalAction(id, informal26));
					hydraulicPressionOut = 0;
					me.state = EmitBlockedOpen1;
					if (true) return true;
				} else if ((me.param_from_dispatch) == Clocks_36_limit_at_23Root.EV_BLOCK_CLOSED_FAILURE) {
					actions.add(new InformalAction(id, informal27));
					hydraulicPressionOut = hydraulicPressionIn;
					me.state = BlockedClosed;
					if (true) return true;
				} else {
					if (true) { return false; }
				}
				me.state = FromClosedToOpen;
				if (true) return true;
			} finally {
				hydraulicPressionInRef.set(configuration, hydraulicPressionIn);
				hydraulicPressionOutRef.set(configuration, hydraulicPressionOut);
			}
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition19 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_cmdEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != FromClosedToOpen) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			from_cmdEV.input(id, actions);
			me.param_cmdEV = from_cmdEV.value(int.class,0);
			if ( from_cmdEV.clockId != -1 ) {
				DBM.set(configuration.dbm, from_cmdEV.clockId, 0);
			}
			if ((me.param_cmdEV) == Clocks_36_limit_at_23Root.ON_EV) {
				if (me.param_from_analog_switch == Clocks_36_limit_at_23Root.ON_EV) {
					actions.add(new InformalAction(id, informal28));
					me.state = Closed;
					if (true) return true;
				} else {
					me.state = FromClosedToOpen;
					if (true) return true;
				}
			} else if ((me.param_cmdEV) == Clocks_36_limit_at_23Root.OFF_EV) {
				me.state = FromClosedToOpen;
				if (true) return true;
			} else {
				if (true) { return false; }
			}
			me.state = FromClosedToOpen;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition20 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_analog_switch.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != FromClosedToOpen) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			from_analog_switch.input(id, actions);
			me.param_from_analog_switch = from_analog_switch.value(int.class,0);
			if ( from_analog_switch.clockId != -1 ) {
				DBM.set(configuration.dbm, from_analog_switch.clockId, 0);
			}
			if ((me.param_from_analog_switch) == Clocks_36_limit_at_23Root.ON_EV) {
				if (me.param_cmdEV == Clocks_36_limit_at_23Root.ON_EV) {
					actions.add(new InformalAction(id, informal28));
					me.state = Closed;
					if (true) return true;
				} else {
					me.state = FromClosedToOpen;
					if (true) return true;
				}
			} else if ((me.param_from_analog_switch) == Clocks_36_limit_at_23Root.OFF_EV) {
				me.state = FromClosedToOpen;
				if (true) return true;
			} else {
				if (true) { return false; }
			}
			me.state = FromClosedToOpen;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition21 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return wait1.id;
		}

		@Override
		public void updateModifiedBehaviors(Configuration configuration, ExplorationContext context, boolean[] modifiedBehaviors) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			int hydraulicPressionOut = hydraulicPressionOutRef.get(configuration);
			modifiedBehaviors[hydraulicPressionOutRef.ownerId] = true;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != FromClosedToOpen) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			int hydraulicPressionOut = hydraulicPressionOutRef.get(configuration);
			try {
				DBM.set(configuration.dbm, wait1.clockId, 0);
				actions.add(new DelayAction(id));
				hydraulicPressionOut = 0;
				me.state = EmitOpen1;
				if (true) return true;
			} finally {
				hydraulicPressionOutRef.set(configuration, hydraulicPressionOut);
			}
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition22 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_retractEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitBlockedOpen1) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			to_retractEV.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_OFF);
			me.state = EmitBlockedOpen2;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition23 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_extendEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitBlockedOpen2) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			to_extendEV.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_OFF);
			me.state = EmitBlockedOpen3;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition24 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_closeEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitBlockedOpen3) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			to_closeEV.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_OFF);
			me.state = EmitBlockedOpen4;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition25 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_openEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitBlockedOpen4) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			to_openEV.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_OFF);
			me.state = BlockedOpen;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition26 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_dispatch.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != BlockedOpen) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			from_dispatch.input(id, actions);
			me.param_from_dispatch = from_dispatch.value(int.class,0);
			if ( from_dispatch.clockId != -1 ) {
				DBM.set(configuration.dbm, from_dispatch.clockId, 0);
			}
			me.state = BlockedOpen;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition27 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_cmdEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != BlockedOpen) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			from_cmdEV.input(id, actions);
			me.param_cmdEV = from_cmdEV.value(int.class,0);
			if ( from_cmdEV.clockId != -1 ) {
				DBM.set(configuration.dbm, from_cmdEV.clockId, 0);
			}
			me.state = BlockedOpen;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition28 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_analog_switch.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != BlockedOpen) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			from_analog_switch.input(id, actions);
			me.param_from_analog_switch = from_analog_switch.value(int.class,0);
			if ( from_analog_switch.clockId != -1 ) {
				DBM.set(configuration.dbm, from_analog_switch.clockId, 0);
			}
			me.state = BlockedOpen;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition29 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_retractEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitBlockedClosed1) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			to_retractEV.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_ON);
			me.state = EmitBlockedClosed2;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition30 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_extendEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitBlockedClosed2) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			to_extendEV.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_ON);
			me.state = EmitBlockedClosed3;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition31 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_closeEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitBlockedClosed3) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			to_closeEV.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_ON);
			me.state = EmitBlockedClosed4;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition32 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_openEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitBlockedClosed4) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			to_openEV.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_ON);
			me.state = BlockedClosed;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition33 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_dispatch.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != BlockedClosed) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			from_dispatch.input(id, actions);
			me.param_from_dispatch = from_dispatch.value(int.class,0);
			if ( from_dispatch.clockId != -1 ) {
				DBM.set(configuration.dbm, from_dispatch.clockId, 0);
			}
			me.state = BlockedClosed;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition34 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_cmdEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != BlockedClosed) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			from_cmdEV.input(id, actions);
			me.param_cmdEV = from_cmdEV.value(int.class,0);
			if ( from_cmdEV.clockId != -1 ) {
				DBM.set(configuration.dbm, from_cmdEV.clockId, 0);
			}
			me.state = BlockedClosed;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition35 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_analog_switch.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != BlockedClosed) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final General_EVConfiguration me = (General_EVConfiguration) configuration.behaviorConfigurations[id];
			from_analog_switch.input(id, actions);
			me.param_from_analog_switch = from_analog_switch.value(int.class,0);
			if ( from_analog_switch.clockId != -1 ) {
				DBM.set(configuration.dbm, from_analog_switch.clockId, 0);
			}
			me.state = BlockedClosed;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition[] transitions = 	new Transition[] {
		transition0,
		transition1,
		transition2,
		transition3,
		transition4,
		transition5,
		transition6,
		transition7,
		transition8,
		transition9,
		transition10,
		transition11,
		transition12,
		transition13,
		transition14,
		transition15,
		transition16,
		transition17,
		transition18,
		transition19,
		transition20,
		transition21,
		transition22,
		transition23,
		transition24,
		transition25,
		transition26,
		transition27,
		transition28,
		transition29,
		transition30,
		transition31,
		transition32,
		transition33,
		transition34,
		transition35,
	}
;

	@Override
	public Transition[] getTransitions(Configuration configuration) {
		return transitions;
	}

	@Override
	public BehaviorConfiguration createInitialConfiguration(Configuration conf) {
		General_EVConfiguration me = new General_EVConfiguration();
		//Initial action code.
		me.param_from_analog_switch = Clocks_36_limit_at_23Root.OFF_EV;
		me.param_cmdEV = Clocks_36_limit_at_23Root.OFF_EV;
		me.state = Open;
		return me;
	}

	public String toStringConfiguration(BehaviorConfiguration behaviorConfiguration) {
		General_EVConfiguration me = (General_EVConfiguration) behaviorConfiguration;
		StringBuilder text = new StringBuilder();
		text.append("proc: ");
		text.append("'");
		text.append(name);
		text.append("' [");
		switch (me.state) {
		case General_EVBehavior.Open: 
			text.append("@Open,");
			break;
		case General_EVBehavior.EmitOpen1: 
			text.append("@emitOpen1,");
			break;
		case General_EVBehavior.EmitOpen2: 
			text.append("@emitOpen2,");
			break;
		case General_EVBehavior.EmitOpen3: 
			text.append("@emitOpen3,");
			break;
		case General_EVBehavior.EmitOpen4: 
			text.append("@emitOpen4,");
			break;
		case General_EVBehavior.Closed: 
			text.append("@Closed,");
			break;
		case General_EVBehavior.EmitClosed1: 
			text.append("@emitClosed1,");
			break;
		case General_EVBehavior.EmitClosed2: 
			text.append("@emitClosed2,");
			break;
		case General_EVBehavior.EmitClosed3: 
			text.append("@emitClosed3,");
			break;
		case General_EVBehavior.EmitClosed4: 
			text.append("@emitClosed4,");
			break;
		case General_EVBehavior.FromOpenToClosed: 
			text.append("@FromOpenToClosed,");
			break;
		case General_EVBehavior.FromClosedToOpen: 
			text.append("@FromClosedToOpen,");
			break;
		case General_EVBehavior.BlockedOpen: 
			text.append("@BlockedOpen,");
			break;
		case General_EVBehavior.EmitBlockedOpen1: 
			text.append("@emitBlockedOpen1,");
			break;
		case General_EVBehavior.EmitBlockedOpen2: 
			text.append("@emitBlockedOpen2,");
			break;
		case General_EVBehavior.EmitBlockedOpen3: 
			text.append("@emitBlockedOpen3,");
			break;
		case General_EVBehavior.EmitBlockedOpen4: 
			text.append("@emitBlockedOpen4,");
			break;
		case General_EVBehavior.EmitBlockedOpen5: 
			text.append("@emitBlockedOpen5,");
			break;
		case General_EVBehavior.BlockedClosed: 
			text.append("@BlockedClosed,");
			break;
		case General_EVBehavior.EmitBlockedClosed1: 
			text.append("@emitBlockedClosed1,");
			break;
		case General_EVBehavior.EmitBlockedClosed2: 
			text.append("@emitBlockedClosed2,");
			break;
		case General_EVBehavior.EmitBlockedClosed3: 
			text.append("@emitBlockedClosed3,");
			break;
		case General_EVBehavior.EmitBlockedClosed4: 
			text.append("@emitBlockedClosed4,");
			break;
		}
		text.append("\n\t- param_from_dispatch=");
		text.append(Integer.toString(me.param_from_dispatch));
		text.append("\n\t- param_from_analog_switch=");
		text.append(Integer.toString(me.param_from_analog_switch));
		text.append("\n\t- param_cmdEV=");
		text.append(Integer.toString(me.param_cmdEV));
		text.append("\n]");
		return text.toString();
	}

	public String toDotStringConfiguration(BehaviorConfiguration behaviorConfiguration) {
		General_EVConfiguration me = (General_EVConfiguration) behaviorConfiguration;
		StringBuilder text = new StringBuilder();
		text.append("'");
		text.append(name);
		text.append("' [");
		switch (me.state) {
		case General_EVBehavior.Open: 
			text.append("@Open,");
			break;
		case General_EVBehavior.EmitOpen1: 
			text.append("@emitOpen1,");
			break;
		case General_EVBehavior.EmitOpen2: 
			text.append("@emitOpen2,");
			break;
		case General_EVBehavior.EmitOpen3: 
			text.append("@emitOpen3,");
			break;
		case General_EVBehavior.EmitOpen4: 
			text.append("@emitOpen4,");
			break;
		case General_EVBehavior.Closed: 
			text.append("@Closed,");
			break;
		case General_EVBehavior.EmitClosed1: 
			text.append("@emitClosed1,");
			break;
		case General_EVBehavior.EmitClosed2: 
			text.append("@emitClosed2,");
			break;
		case General_EVBehavior.EmitClosed3: 
			text.append("@emitClosed3,");
			break;
		case General_EVBehavior.EmitClosed4: 
			text.append("@emitClosed4,");
			break;
		case General_EVBehavior.FromOpenToClosed: 
			text.append("@FromOpenToClosed,");
			break;
		case General_EVBehavior.FromClosedToOpen: 
			text.append("@FromClosedToOpen,");
			break;
		case General_EVBehavior.BlockedOpen: 
			text.append("@BlockedOpen,");
			break;
		case General_EVBehavior.EmitBlockedOpen1: 
			text.append("@emitBlockedOpen1,");
			break;
		case General_EVBehavior.EmitBlockedOpen2: 
			text.append("@emitBlockedOpen2,");
			break;
		case General_EVBehavior.EmitBlockedOpen3: 
			text.append("@emitBlockedOpen3,");
			break;
		case General_EVBehavior.EmitBlockedOpen4: 
			text.append("@emitBlockedOpen4,");
			break;
		case General_EVBehavior.EmitBlockedOpen5: 
			text.append("@emitBlockedOpen5,");
			break;
		case General_EVBehavior.BlockedClosed: 
			text.append("@BlockedClosed,");
			break;
		case General_EVBehavior.EmitBlockedClosed1: 
			text.append("@emitBlockedClosed1,");
			break;
		case General_EVBehavior.EmitBlockedClosed2: 
			text.append("@emitBlockedClosed2,");
			break;
		case General_EVBehavior.EmitBlockedClosed3: 
			text.append("@emitBlockedClosed3,");
			break;
		case General_EVBehavior.EmitBlockedClosed4: 
			text.append("@emitBlockedClosed4,");
			break;
		}
		text.append(" param_from_dispatch=");
		text.append(Integer.toString(me.param_from_dispatch));
		text.append(" param_from_analog_switch=");
		text.append(Integer.toString(me.param_from_analog_switch));
		text.append(" param_cmdEV=");
		text.append(Integer.toString(me.param_cmdEV));
		text.append("]");
		return text.toString();
	}

	@Override
	public BehaviorConfiguration readConfiguration(Boost boost) {
		General_EVConfiguration me = new General_EVConfiguration();
		me.state = boost.readShort();
		me.param_from_dispatch = boost.readInt();
		me.param_from_analog_switch = boost.readInt();
		me.param_cmdEV = boost.readInt();
		return me;
	}

	@Override
	public void writeConfiguration(Boost boost, BehaviorConfiguration processConfiguration) {
		General_EVConfiguration me = (General_EVConfiguration) processConfiguration;
		boost.writeShort(me.state);
		boost.writeInt(me.param_from_dispatch);
		boost.writeInt(me.param_from_analog_switch);
		boost.writeInt(me.param_cmdEV);
	}

}

