package clocks_36_limit_at_23;

import org.xid.basics.serializer.Boost;
import obp.explorer.runtime.obs.InformalAction;
import obp.explorer.runtime.obs.DelayAction;
import obp.explorer.runtime.obs.AtomicAction;
import obp.explorer.runtime.fiacre.WaitChannel;
import obp.explorer.runtime.core.Transition;
import obp.explorer.runtime.core.Channel;
import obp.explorer.runtime.core.BroadcastChannel;
import obp.explorer.runtime.SymbolsTable;
import obp.explorer.runtime.ReferencedArgumentInt;
import obp.explorer.runtime.ProcessBehavior;
import obp.explorer.runtime.ExplorationContext;
import obp.explorer.runtime.DBM;
import obp.explorer.runtime.Configuration;
import obp.explorer.runtime.BehaviorConfiguration;
import obp.explorer.runtime.AbstractCallable;
import java.util.List;
import java.util.Arrays;
import java.util.ArrayList;

@SuppressWarnings("all")
public class Generic_EVBehavior extends ProcessBehavior {

	private static short idSeed = 1;

	public static final short Open = 1;

	public static final short EmitOpen1 = 2;

	public static final short EmitOpen2 = 3;

	public static final short EmitOpen3 = 4;

	public static final short Closed = 5;

	public static final short EmitClosed1 = 6;

	public static final short EmitClosed2 = 7;

	public static final short EmitClosed3 = 8;

	public static final short FromOpenToClosed = 9;

	public static final short FromClosedToOpen = 10;

	public static final short BlockedOpen = 11;

	public static final short EmitBlockedOpen1 = 12;

	public static final short EmitBlockedOpen2 = 13;

	public static final short EmitBlockedOpen3 = 14;

	public static final short BlockedClosed = 15;

	public static final short EmitBlockedClosed1 = 16;

	public static final short EmitBlockedClosed2 = 17;

	public static final short EmitBlockedClosed3 = 18;

	private final short informal29;

	private final short informal30;

	private final short informal31;

	private final short informal32;

	private final short informal33;

	private final short informal34;

	private final short informal35;

	private final short informal36;

	private final short informal37;

	private final short informal38;

	private final short informal39;

	private final BroadcastChannel from_cmdEV;

	private final BroadcastChannel from_generalEV;

	private final BroadcastChannel from_dispatch;

	private final BroadcastChannel to_device1;

	private final BroadcastChannel to_device2;

	private final BroadcastChannel to_device3;

	private final ReferencedArgumentInt hydraulicPressionInRef;

	private final ReferencedArgumentInt hydraulicPressionOutRef;

	private final WaitChannel wait0;

	private final WaitChannel wait1;

	private final Channel[] channels;

	public void collectChannels(List<Channel> result) {
		result.addAll(Arrays.asList(channels));
	}

	public Generic_EVBehavior(SymbolsTable symbols, BroadcastChannel from_cmdEV, BroadcastChannel from_generalEV, BroadcastChannel from_dispatch, BroadcastChannel to_device1, BroadcastChannel to_device2, BroadcastChannel to_device3, ReferencedArgumentInt hydraulicPressionIn, ReferencedArgumentInt hydraulicPressionOut) {
		super("Generic_EV", idSeed++, symbols);
		this.from_cmdEV = from_cmdEV;
		this.from_generalEV = from_generalEV;
		this.from_dispatch = from_dispatch;
		this.to_device1 = to_device1;
		this.to_device2 = to_device2;
		this.to_device3 = to_device3;
		inputChannels = new Channel[]{this.from_cmdEV, this.from_generalEV, this.from_dispatch};
		outputChannels = new Channel[]{this.to_device1, this.to_device2, this.to_device3};
		this.hydraulicPressionInRef = hydraulicPressionIn;
		this.hydraulicPressionOutRef = hydraulicPressionOut;
		informal29 = symbols.getInformalId("Generic_EV_open->bl-open");
		informal30 = symbols.getInformalId("Generic_EV_open->bl-closed");
		informal31 = symbols.getInformalId("Generic_EV_open->interm-open");
		informal32 = symbols.getInformalId("Generic_EV_interm-open->bl-open");
		informal33 = symbols.getInformalId("Generic_EV_interm-open->bl-closed");
		informal34 = symbols.getInformalId("Generic_EV_closed->bl-open");
		informal35 = symbols.getInformalId("Generic_EV_closed->bl-closed");
		informal36 = symbols.getInformalId("Generic_EV_closed->interm-closed");
		informal37 = symbols.getInformalId("Generic_EV_interm-closed->bl-open");
		informal38 = symbols.getInformalId("Generic_EV_interm-closed->bl-closed");
		informal39 = symbols.getInformalId("Generic_EV FromClosedToOpen->Closed");
		symbols.registerClockIndexes(this.getId(), (short) 1);
		
		wait0 = new WaitChannel(null, symbols, this.getId(), (short) 0, 10, false, 10, false);
		wait1 = new WaitChannel(null, symbols, this.getId(), (short) 0, 36, false, 36, false);
		channels = new Channel[] { wait0, wait1,  };
	}

	private final String[] stateNames = new String[] {"Open", "emitOpen1", "emitOpen2", "emitOpen3", "Closed", "emitClosed1", "emitClosed2", "emitClosed3", "FromOpenToClosed", "FromClosedToOpen", "BlockedOpen", "emitBlockedOpen1", "emitBlockedOpen2", "emitBlockedOpen3", "BlockedClosed", "emitBlockedClosed1", "emitBlockedClosed2", "emitBlockedClosed3"};

	public int getStateId(String name) {
		for (short i=0; i<stateNames.length; i++) {
			if ( stateNames[i].equals(name) ) return (i+1);
		}
		throw new IllegalArgumentException("State '"+ name +"' doesn't exist in process '"+ this.name +"'.");
	}

	public String getStateName(short id) {
		return stateNames[id-1];
	}

	private final Transition transition0 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_device1.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitOpen1) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			to_device1.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_OFF);
			me.state = EmitOpen2;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition1 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_device2.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitOpen2) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			to_device2.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_OFF);
			me.state = EmitOpen3;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition2 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_device3.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitOpen3) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			to_device3.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_OFF);
			me.state = Open;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition3 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_dispatch.id;
		}

		@Override
		public void updateModifiedBehaviors(Configuration configuration, ExplorationContext context, boolean[] modifiedBehaviors) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			int hydraulicPressionOut = hydraulicPressionOutRef.get(configuration);
			int hydraulicPressionIn = hydraulicPressionInRef.get(configuration);
			modifiedBehaviors[hydraulicPressionOutRef.ownerId] = true;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != Open) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			int hydraulicPressionOut = hydraulicPressionOutRef.get(configuration);
			int hydraulicPressionIn = hydraulicPressionInRef.get(configuration);
			try {
				from_dispatch.input(id, actions);
				me.param_from_dispatch = from_dispatch.value(int.class,0);
				if ( from_dispatch.clockId != -1 ) {
					DBM.set(configuration.dbm, from_dispatch.clockId, 0);
				}
				if ((me.param_from_dispatch) == Clocks_36_limit_at_23Root.EV_BLOCK_OPEN_FAILURE) {
					actions.add(new InformalAction(id, informal29));
					hydraulicPressionOut = 0;
					me.state = BlockedOpen;
					if (true) return true;
				} else if ((me.param_from_dispatch) == Clocks_36_limit_at_23Root.EV_BLOCK_CLOSED_FAILURE) {
					actions.add(new InformalAction(id, informal30));
					hydraulicPressionOut = hydraulicPressionIn;
					me.state = EmitBlockedClosed1;
					if (true) return true;
				} else {
					if (true) { return false; }
				}
				me.state = Open;
				if (true) return true;
			} finally {
				hydraulicPressionOutRef.set(configuration, hydraulicPressionOut);
				hydraulicPressionInRef.set(configuration, hydraulicPressionIn);
			}
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition4 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_cmdEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != Open) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			from_cmdEV.input(id, actions);
			me.param_cmdEV = from_cmdEV.value(int.class,0);
			if ( from_cmdEV.clockId != -1 ) {
				DBM.set(configuration.dbm, from_cmdEV.clockId, 0);
			}
			if ((me.param_cmdEV) == Clocks_36_limit_at_23Root.ON_EV) {
				if (me.param_generalEV == Clocks_36_limit_at_23Root.PRESSURE_ON) {
					actions.add(new InformalAction(id, informal31));
					me.state = FromOpenToClosed;
					if (true) return true;
				} else {
					me.state = Open;
					if (true) return true;
				}
			} else if ((me.param_cmdEV) == Clocks_36_limit_at_23Root.OFF_EV) {
				me.state = Open;
				if (true) return true;
			} else {
				if (true) { return false; }
			}
			me.state = Open;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition5 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_generalEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != Open) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			from_generalEV.input(id, actions);
			me.param_generalEV = from_generalEV.value(int.class,0);
			if ( from_generalEV.clockId != -1 ) {
				DBM.set(configuration.dbm, from_generalEV.clockId, 0);
			}
			if ((me.param_generalEV) == Clocks_36_limit_at_23Root.PRESSURE_ON) {
				if (me.param_cmdEV == Clocks_36_limit_at_23Root.ON_EV) {
					actions.add(new InformalAction(id, informal31));
					me.state = FromOpenToClosed;
					if (true) return true;
				} else {
					me.state = Open;
					if (true) return true;
				}
			} else if ((me.param_generalEV) == Clocks_36_limit_at_23Root.PRESSURE_OFF) {
				me.state = Open;
				if (true) return true;
			} else {
				if (true) { return false; }
			}
			me.state = Open;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition6 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_dispatch.id;
		}

		@Override
		public void updateModifiedBehaviors(Configuration configuration, ExplorationContext context, boolean[] modifiedBehaviors) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			int hydraulicPressionOut = hydraulicPressionOutRef.get(configuration);
			int hydraulicPressionIn = hydraulicPressionInRef.get(configuration);
			modifiedBehaviors[hydraulicPressionOutRef.ownerId] = true;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != FromOpenToClosed) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			int hydraulicPressionOut = hydraulicPressionOutRef.get(configuration);
			int hydraulicPressionIn = hydraulicPressionInRef.get(configuration);
			try {
				from_dispatch.input(id, actions);
				me.param_from_dispatch = from_dispatch.value(int.class,0);
				if ( from_dispatch.clockId != -1 ) {
					DBM.set(configuration.dbm, from_dispatch.clockId, 0);
				}
				if ((me.param_from_dispatch) == Clocks_36_limit_at_23Root.EV_BLOCK_OPEN_FAILURE) {
					actions.add(new InformalAction(id, informal32));
					hydraulicPressionOut = 0;
					me.state = BlockedOpen;
					if (true) return true;
				} else if ((me.param_from_dispatch) == Clocks_36_limit_at_23Root.EV_BLOCK_CLOSED_FAILURE) {
					actions.add(new InformalAction(id, informal33));
					hydraulicPressionOut = hydraulicPressionIn;
					me.state = EmitBlockedClosed1;
					if (true) return true;
				} else {
					if (true) { return false; }
				}
				me.state = FromOpenToClosed;
				if (true) return true;
			} finally {
				hydraulicPressionOutRef.set(configuration, hydraulicPressionOut);
				hydraulicPressionInRef.set(configuration, hydraulicPressionIn);
			}
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition7 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_cmdEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != FromOpenToClosed) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			from_cmdEV.input(id, actions);
			me.param_cmdEV = from_cmdEV.value(int.class,0);
			if ( from_cmdEV.clockId != -1 ) {
				DBM.set(configuration.dbm, from_cmdEV.clockId, 0);
			}
			if ((me.param_cmdEV) == Clocks_36_limit_at_23Root.ON_EV) {
				me.state = FromOpenToClosed;
				if (true) return true;
			} else if ((me.param_cmdEV) == Clocks_36_limit_at_23Root.OFF_EV) {
				me.state = Open;
				if (true) return true;
			} else {
				if (true) { return false; }
			}
			me.state = FromOpenToClosed;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition8 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_generalEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != FromOpenToClosed) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			from_generalEV.input(id, actions);
			me.param_generalEV = from_generalEV.value(int.class,0);
			if ( from_generalEV.clockId != -1 ) {
				DBM.set(configuration.dbm, from_generalEV.clockId, 0);
			}
			if ((me.param_generalEV) == Clocks_36_limit_at_23Root.PRESSURE_ON) {
				me.state = FromOpenToClosed;
				if (true) return true;
			} else if ((me.param_generalEV) == Clocks_36_limit_at_23Root.PRESSURE_OFF) {
				me.state = Open;
				if (true) return true;
			} else {
				if (true) { return false; }
			}
			me.state = FromOpenToClosed;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition9 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return wait0.id;
		}

		@Override
		public void updateModifiedBehaviors(Configuration configuration, ExplorationContext context, boolean[] modifiedBehaviors) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			int hydraulicPressionOut = hydraulicPressionOutRef.get(configuration);
			int hydraulicPressionIn = hydraulicPressionInRef.get(configuration);
			modifiedBehaviors[hydraulicPressionOutRef.ownerId] = true;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != FromOpenToClosed) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			int hydraulicPressionOut = hydraulicPressionOutRef.get(configuration);
			int hydraulicPressionIn = hydraulicPressionInRef.get(configuration);
			try {
				DBM.set(configuration.dbm, wait0.clockId, 0);
				actions.add(new DelayAction(id));
				hydraulicPressionOut = hydraulicPressionIn;
				me.state = EmitClosed1;
				if (true) return true;
			} finally {
				hydraulicPressionOutRef.set(configuration, hydraulicPressionOut);
				hydraulicPressionInRef.set(configuration, hydraulicPressionIn);
			}
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition10 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_device1.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitClosed1) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			to_device1.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_ON);
			me.state = EmitClosed2;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition11 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_device2.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitClosed2) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			to_device2.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_ON);
			me.state = EmitClosed3;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition12 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_device3.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitClosed3) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			to_device3.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_ON);
			me.state = Closed;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition13 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_dispatch.id;
		}

		@Override
		public void updateModifiedBehaviors(Configuration configuration, ExplorationContext context, boolean[] modifiedBehaviors) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			int hydraulicPressionOut = hydraulicPressionOutRef.get(configuration);
			int hydraulicPressionIn = hydraulicPressionInRef.get(configuration);
			modifiedBehaviors[hydraulicPressionOutRef.ownerId] = true;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != Closed) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			int hydraulicPressionOut = hydraulicPressionOutRef.get(configuration);
			int hydraulicPressionIn = hydraulicPressionInRef.get(configuration);
			try {
				from_dispatch.input(id, actions);
				me.param_from_dispatch = from_dispatch.value(int.class,0);
				if ( from_dispatch.clockId != -1 ) {
					DBM.set(configuration.dbm, from_dispatch.clockId, 0);
				}
				if ((me.param_from_dispatch) == Clocks_36_limit_at_23Root.EV_BLOCK_OPEN_FAILURE) {
					actions.add(new InformalAction(id, informal34));
					hydraulicPressionOut = 0;
					me.state = EmitBlockedOpen1;
					if (true) return true;
				} else if ((me.param_from_dispatch) == Clocks_36_limit_at_23Root.EV_BLOCK_CLOSED_FAILURE) {
					actions.add(new InformalAction(id, informal35));
					hydraulicPressionOut = hydraulicPressionIn;
					me.state = BlockedClosed;
					if (true) return true;
				} else {
					if (true) { return false; }
				}
				me.state = Closed;
				if (true) return true;
			} finally {
				hydraulicPressionOutRef.set(configuration, hydraulicPressionOut);
				hydraulicPressionInRef.set(configuration, hydraulicPressionIn);
			}
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition14 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_cmdEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != Closed) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			from_cmdEV.input(id, actions);
			me.param_cmdEV = from_cmdEV.value(int.class,0);
			if ( from_cmdEV.clockId != -1 ) {
				DBM.set(configuration.dbm, from_cmdEV.clockId, 0);
			}
			if ((me.param_cmdEV) == Clocks_36_limit_at_23Root.ON_EV) {
				me.state = Closed;
				if (true) return true;
			} else if ((me.param_cmdEV) == Clocks_36_limit_at_23Root.OFF_EV) {
				actions.add(new InformalAction(id, informal36));
				me.state = FromClosedToOpen;
				if (true) return true;
			} else {
				if (true) { return false; }
			}
			me.state = Closed;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition15 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_generalEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != Closed) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			from_generalEV.input(id, actions);
			me.param_generalEV = from_generalEV.value(int.class,0);
			if ( from_generalEV.clockId != -1 ) {
				DBM.set(configuration.dbm, from_generalEV.clockId, 0);
			}
			if ((me.param_generalEV) == Clocks_36_limit_at_23Root.PRESSURE_ON) {
				me.state = Closed;
				if (true) return true;
			} else if ((me.param_generalEV) == Clocks_36_limit_at_23Root.PRESSURE_OFF) {
				me.state = FromClosedToOpen;
				if (true) return true;
			} else {
				if (true) { return false; }
			}
			me.state = Closed;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition16 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_dispatch.id;
		}

		@Override
		public void updateModifiedBehaviors(Configuration configuration, ExplorationContext context, boolean[] modifiedBehaviors) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			int hydraulicPressionOut = hydraulicPressionOutRef.get(configuration);
			int hydraulicPressionIn = hydraulicPressionInRef.get(configuration);
			modifiedBehaviors[hydraulicPressionOutRef.ownerId] = true;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != FromClosedToOpen) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			int hydraulicPressionOut = hydraulicPressionOutRef.get(configuration);
			int hydraulicPressionIn = hydraulicPressionInRef.get(configuration);
			try {
				from_dispatch.input(id, actions);
				me.param_from_dispatch = from_dispatch.value(int.class,0);
				if ( from_dispatch.clockId != -1 ) {
					DBM.set(configuration.dbm, from_dispatch.clockId, 0);
				}
				if ((me.param_from_dispatch) == Clocks_36_limit_at_23Root.EV_BLOCK_OPEN_FAILURE) {
					actions.add(new InformalAction(id, informal37));
					hydraulicPressionOut = 0;
					me.state = EmitBlockedOpen1;
					if (true) return true;
				} else if ((me.param_from_dispatch) == Clocks_36_limit_at_23Root.EV_BLOCK_CLOSED_FAILURE) {
					actions.add(new InformalAction(id, informal38));
					hydraulicPressionOut = hydraulicPressionIn;
					me.state = BlockedClosed;
					if (true) return true;
				} else {
					if (true) { return false; }
				}
				me.state = FromClosedToOpen;
				if (true) return true;
			} finally {
				hydraulicPressionOutRef.set(configuration, hydraulicPressionOut);
				hydraulicPressionInRef.set(configuration, hydraulicPressionIn);
			}
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition17 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_cmdEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != FromClosedToOpen) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			from_cmdEV.input(id, actions);
			me.param_cmdEV = from_cmdEV.value(int.class,0);
			if ( from_cmdEV.clockId != -1 ) {
				DBM.set(configuration.dbm, from_cmdEV.clockId, 0);
			}
			if ((me.param_cmdEV) == Clocks_36_limit_at_23Root.ON_EV) {
				me.state = Closed;
				if (true) return true;
			} else if ((me.param_cmdEV) == Clocks_36_limit_at_23Root.OFF_EV) {
				me.state = FromClosedToOpen;
				if (true) return true;
			} else {
				if (true) { return false; }
			}
			me.state = FromClosedToOpen;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition18 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_generalEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != FromClosedToOpen) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			from_generalEV.input(id, actions);
			me.param_generalEV = from_generalEV.value(int.class,0);
			if ( from_generalEV.clockId != -1 ) {
				DBM.set(configuration.dbm, from_generalEV.clockId, 0);
			}
			if ((me.param_generalEV) == Clocks_36_limit_at_23Root.PRESSURE_ON) {
				if (me.param_cmdEV == Clocks_36_limit_at_23Root.ON_EV) {
					actions.add(new InformalAction(id, informal39));
					me.state = Closed;
					if (true) return true;
				} else {
					me.state = FromClosedToOpen;
					if (true) return true;
				}
			} else if ((me.param_generalEV) == Clocks_36_limit_at_23Root.PRESSURE_OFF) {
				me.state = FromClosedToOpen;
				if (true) return true;
			} else {
				if (true) { return false; }
			}
			me.state = FromClosedToOpen;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition19 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return wait1.id;
		}

		@Override
		public void updateModifiedBehaviors(Configuration configuration, ExplorationContext context, boolean[] modifiedBehaviors) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			int hydraulicPressionOut = hydraulicPressionOutRef.get(configuration);
			modifiedBehaviors[hydraulicPressionOutRef.ownerId] = true;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != FromClosedToOpen) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			int hydraulicPressionOut = hydraulicPressionOutRef.get(configuration);
			try {
				DBM.set(configuration.dbm, wait1.clockId, 0);
				actions.add(new DelayAction(id));
				hydraulicPressionOut = 0;
				me.state = EmitOpen1;
				if (true) return true;
			} finally {
				hydraulicPressionOutRef.set(configuration, hydraulicPressionOut);
			}
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition20 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_device1.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitBlockedOpen1) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			to_device1.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_OFF);
			me.state = EmitBlockedOpen2;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition21 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_device2.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitBlockedOpen2) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			to_device2.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_OFF);
			me.state = EmitBlockedOpen3;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition22 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_device3.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitBlockedOpen3) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			to_device3.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_OFF);
			me.state = BlockedOpen;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition23 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_dispatch.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != BlockedOpen) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			from_dispatch.input(id, actions);
			me.param_from_dispatch = from_dispatch.value(int.class,0);
			if ( from_dispatch.clockId != -1 ) {
				DBM.set(configuration.dbm, from_dispatch.clockId, 0);
			}
			me.state = BlockedOpen;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition24 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_cmdEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != BlockedOpen) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			from_cmdEV.input(id, actions);
			me.param_cmdEV = from_cmdEV.value(int.class,0);
			if ( from_cmdEV.clockId != -1 ) {
				DBM.set(configuration.dbm, from_cmdEV.clockId, 0);
			}
			me.state = BlockedOpen;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition25 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_generalEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != BlockedOpen) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			from_generalEV.input(id, actions);
			me.param_generalEV = from_generalEV.value(int.class,0);
			if ( from_generalEV.clockId != -1 ) {
				DBM.set(configuration.dbm, from_generalEV.clockId, 0);
			}
			me.state = BlockedOpen;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition26 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_device1.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitBlockedClosed1) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			to_device1.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_ON);
			me.state = EmitBlockedClosed2;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition27 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_device2.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitBlockedClosed2) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			to_device2.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_ON);
			me.state = EmitBlockedClosed3;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition28 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Output;
		}

		@Override
		public short getSynchronisationChannelId() {
			return to_device3.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != EmitBlockedClosed3) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			to_device3.output(id, actions, Clocks_36_limit_at_23Root.PRESSURE_ON);
			me.state = BlockedClosed;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition29 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_dispatch.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != BlockedClosed) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			from_dispatch.input(id, actions);
			me.param_from_dispatch = from_dispatch.value(int.class,0);
			if ( from_dispatch.clockId != -1 ) {
				DBM.set(configuration.dbm, from_dispatch.clockId, 0);
			}
			me.state = BlockedClosed;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition30 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_cmdEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != BlockedClosed) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			from_cmdEV.input(id, actions);
			me.param_cmdEV = from_cmdEV.value(int.class,0);
			if ( from_cmdEV.clockId != -1 ) {
				DBM.set(configuration.dbm, from_cmdEV.clockId, 0);
			}
			me.state = BlockedClosed;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition transition31 = 	new Transition(id) {
		@Override
		public short getSynchronisationType() {
			return Input;
		}

		@Override
		public short getSynchronisationChannelId() {
			return from_generalEV.id;
		}

		@Override
		public boolean guard(Configuration configuration, ExplorationContext context) {
			Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			if (me.state != BlockedClosed) return false;
			return true;
		}

		@Override
		public boolean action(final ExplorationContext context, List<AtomicAction> actions, Configuration configuration) {
			final Generic_EVConfiguration me = (Generic_EVConfiguration) configuration.behaviorConfigurations[id];
			from_generalEV.input(id, actions);
			me.param_generalEV = from_generalEV.value(int.class,0);
			if ( from_generalEV.clockId != -1 ) {
				DBM.set(configuration.dbm, from_generalEV.clockId, 0);
			}
			me.state = BlockedClosed;
			if (true) return true;
			if (true) { return true; } else { return true; }
		}

	}

;

	private final Transition[] transitions = 	new Transition[] {
		transition0,
		transition1,
		transition2,
		transition3,
		transition4,
		transition5,
		transition6,
		transition7,
		transition8,
		transition9,
		transition10,
		transition11,
		transition12,
		transition13,
		transition14,
		transition15,
		transition16,
		transition17,
		transition18,
		transition19,
		transition20,
		transition21,
		transition22,
		transition23,
		transition24,
		transition25,
		transition26,
		transition27,
		transition28,
		transition29,
		transition30,
		transition31,
	}
;

	@Override
	public Transition[] getTransitions(Configuration configuration) {
		return transitions;
	}

	@Override
	public BehaviorConfiguration createInitialConfiguration(Configuration conf) {
		Generic_EVConfiguration me = new Generic_EVConfiguration();
		//Initial action code.
		me.param_generalEV = Clocks_36_limit_at_23Root.PRESSURE_OFF;
		me.param_cmdEV = Clocks_36_limit_at_23Root.OFF_EV;
		me.state = Open;
		return me;
	}

	public String toStringConfiguration(BehaviorConfiguration behaviorConfiguration) {
		Generic_EVConfiguration me = (Generic_EVConfiguration) behaviorConfiguration;
		StringBuilder text = new StringBuilder();
		text.append("proc: ");
		text.append("'");
		text.append(name);
		text.append("' [");
		switch (me.state) {
		case Generic_EVBehavior.Open: 
			text.append("@Open,");
			break;
		case Generic_EVBehavior.EmitOpen1: 
			text.append("@emitOpen1,");
			break;
		case Generic_EVBehavior.EmitOpen2: 
			text.append("@emitOpen2,");
			break;
		case Generic_EVBehavior.EmitOpen3: 
			text.append("@emitOpen3,");
			break;
		case Generic_EVBehavior.Closed: 
			text.append("@Closed,");
			break;
		case Generic_EVBehavior.EmitClosed1: 
			text.append("@emitClosed1,");
			break;
		case Generic_EVBehavior.EmitClosed2: 
			text.append("@emitClosed2,");
			break;
		case Generic_EVBehavior.EmitClosed3: 
			text.append("@emitClosed3,");
			break;
		case Generic_EVBehavior.FromOpenToClosed: 
			text.append("@FromOpenToClosed,");
			break;
		case Generic_EVBehavior.FromClosedToOpen: 
			text.append("@FromClosedToOpen,");
			break;
		case Generic_EVBehavior.BlockedOpen: 
			text.append("@BlockedOpen,");
			break;
		case Generic_EVBehavior.EmitBlockedOpen1: 
			text.append("@emitBlockedOpen1,");
			break;
		case Generic_EVBehavior.EmitBlockedOpen2: 
			text.append("@emitBlockedOpen2,");
			break;
		case Generic_EVBehavior.EmitBlockedOpen3: 
			text.append("@emitBlockedOpen3,");
			break;
		case Generic_EVBehavior.BlockedClosed: 
			text.append("@BlockedClosed,");
			break;
		case Generic_EVBehavior.EmitBlockedClosed1: 
			text.append("@emitBlockedClosed1,");
			break;
		case Generic_EVBehavior.EmitBlockedClosed2: 
			text.append("@emitBlockedClosed2,");
			break;
		case Generic_EVBehavior.EmitBlockedClosed3: 
			text.append("@emitBlockedClosed3,");
			break;
		}
		text.append("\n\t- param_from_dispatch=");
		text.append(Integer.toString(me.param_from_dispatch));
		text.append("\n\t- param_cmdEV=");
		text.append(Integer.toString(me.param_cmdEV));
		text.append("\n\t- param_generalEV=");
		text.append(Integer.toString(me.param_generalEV));
		text.append("\n]");
		return text.toString();
	}

	public String toDotStringConfiguration(BehaviorConfiguration behaviorConfiguration) {
		Generic_EVConfiguration me = (Generic_EVConfiguration) behaviorConfiguration;
		StringBuilder text = new StringBuilder();
		text.append("'");
		text.append(name);
		text.append("' [");
		switch (me.state) {
		case Generic_EVBehavior.Open: 
			text.append("@Open,");
			break;
		case Generic_EVBehavior.EmitOpen1: 
			text.append("@emitOpen1,");
			break;
		case Generic_EVBehavior.EmitOpen2: 
			text.append("@emitOpen2,");
			break;
		case Generic_EVBehavior.EmitOpen3: 
			text.append("@emitOpen3,");
			break;
		case Generic_EVBehavior.Closed: 
			text.append("@Closed,");
			break;
		case Generic_EVBehavior.EmitClosed1: 
			text.append("@emitClosed1,");
			break;
		case Generic_EVBehavior.EmitClosed2: 
			text.append("@emitClosed2,");
			break;
		case Generic_EVBehavior.EmitClosed3: 
			text.append("@emitClosed3,");
			break;
		case Generic_EVBehavior.FromOpenToClosed: 
			text.append("@FromOpenToClosed,");
			break;
		case Generic_EVBehavior.FromClosedToOpen: 
			text.append("@FromClosedToOpen,");
			break;
		case Generic_EVBehavior.BlockedOpen: 
			text.append("@BlockedOpen,");
			break;
		case Generic_EVBehavior.EmitBlockedOpen1: 
			text.append("@emitBlockedOpen1,");
			break;
		case Generic_EVBehavior.EmitBlockedOpen2: 
			text.append("@emitBlockedOpen2,");
			break;
		case Generic_EVBehavior.EmitBlockedOpen3: 
			text.append("@emitBlockedOpen3,");
			break;
		case Generic_EVBehavior.BlockedClosed: 
			text.append("@BlockedClosed,");
			break;
		case Generic_EVBehavior.EmitBlockedClosed1: 
			text.append("@emitBlockedClosed1,");
			break;
		case Generic_EVBehavior.EmitBlockedClosed2: 
			text.append("@emitBlockedClosed2,");
			break;
		case Generic_EVBehavior.EmitBlockedClosed3: 
			text.append("@emitBlockedClosed3,");
			break;
		}
		text.append(" param_from_dispatch=");
		text.append(Integer.toString(me.param_from_dispatch));
		text.append(" param_cmdEV=");
		text.append(Integer.toString(me.param_cmdEV));
		text.append(" param_generalEV=");
		text.append(Integer.toString(me.param_generalEV));
		text.append("]");
		return text.toString();
	}

	@Override
	public BehaviorConfiguration readConfiguration(Boost boost) {
		Generic_EVConfiguration me = new Generic_EVConfiguration();
		me.state = boost.readShort();
		me.param_from_dispatch = boost.readInt();
		me.param_cmdEV = boost.readInt();
		me.param_generalEV = boost.readInt();
		return me;
	}

	@Override
	public void writeConfiguration(Boost boost, BehaviorConfiguration processConfiguration) {
		Generic_EVConfiguration me = (Generic_EVConfiguration) processConfiguration;
		boost.writeShort(me.state);
		boost.writeInt(me.param_from_dispatch);
		boost.writeInt(me.param_cmdEV);
		boost.writeInt(me.param_generalEV);
	}

}

