package test17;

import obp.explorer.runtime.core.Channel;
import obp.explorer.runtime.SymbolsTable;
import obp.explorer.runtime.Composition;
import obp.explorer.runtime.Component;

@SuppressWarnings("all")
public class Test17Composition extends Composition {

	private final Component[] components;

	private final Channel[] channels;

	public Test17Composition(SymbolsTable symbols) {
		Test17Behavior me = new Test17Behavior(symbols);
		//Initializes variables
		me.createInitialConfiguration(null);
		
		channels = new Channel[] {  };
		
		components = new Component[] {
				me,
				new Proc1Behavior(symbols, me.getInputP1Ref()),
				new Proc2Behavior(symbols, me.getInputP1Ref())
			};
		
	}

	@Override
	public Component[] getComponents() {
		return components;
	}

	@Override
	public Channel[] getChannels() {
		return channels;
	}

}

