package test17;

import obp.explorer.runtime.BehaviorConfiguration;
import java.util.Arrays;

@SuppressWarnings("all")
public class Test17Configuration extends BehaviorConfiguration {

	public T_msg[] inputP1;

	//Create initial configuration
	public Test17Configuration() {
		this.inputP1 = new T_msg[]{};
	}

	//Create configuration as a copy
	public Test17Configuration(Test17Configuration other) {
		this.inputP1 = new T_msg[other.inputP1.length];
		for (int i=0; i<other.inputP1.length; i++) {
			this.inputP1[i] = T_msg.copy(other.inputP1[i]);
		}
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new Test17Configuration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof Test17Configuration) {
			Test17Configuration other = (Test17Configuration) object;
			if (!Arrays.deepEquals(inputP1, other.inputP1)) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + Arrays.deepHashCode(inputP1);
		return total;
	}

}

