package test18;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class Proc2Configuration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public Proc2Configuration() {
	}

	//Create configuration as a copy
	public Proc2Configuration(Proc2Configuration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new Proc2Configuration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof Proc2Configuration) {
			Proc2Configuration other = (Proc2Configuration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

