package test_loop_and_wait_with_ports;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class CompConfiguration extends BehaviorConfiguration {

	public boolean go;

	//Create initial configuration
	public CompConfiguration() {
		this.go = false;
	}

	//Create configuration as a copy
	public CompConfiguration(CompConfiguration other) {
		this.go = other.go;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new CompConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof CompConfiguration) {
			CompConfiguration other = (CompConfiguration) object;
			if (go != other.go) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + (go? 1 : 0);
		return total;
	}

}

