package twocounters;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class CounterConfiguration extends BehaviorConfiguration {

	public short state;

	public int v;

	//Create initial configuration
	public CounterConfiguration() {
		this.v = 0;
	}

	//Create configuration as a copy
	public CounterConfiguration(CounterConfiguration other) {
		this.state = other.state;
		this.v = other.v;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new CounterConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof CounterConfiguration) {
			CounterConfiguration other = (CounterConfiguration) object;
			if (state != other.state) return false;
			if (v != other.v) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + v;
		return total;
	}

}

